'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp, _initialiseProps;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _dropdownList = require('../dropdown-list');

var _dropdownList2 = _interopRequireDefault(_dropdownList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default(props) {
    (0, _classCallCheck3.default)(this, _default);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call(this, props));

    _initialiseProps.call(_this);

    var _this$props = _this.props,
        required = _this$props.required,
        selected = _this$props.selected;

    _this.state = {
      'vaild': !required ? true : !selected ? false : true
    };
    return _this;
  }

  (0, _createClass3.default)(_default, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          lable = _props.lable,
          _props$options = _props.options,
          options = _props$options === undefined ? [] : _props$options,
          menuKey = _props.menuKey,
          selected = _props.selected,
          required = _props.required;
      var vaild = this.state.vaild;


      selected = selected ? [selected] : [];

      return _react2.default.createElement(
        'div',
        { className: 'single-menu pg-prop-select' },
        lable ? _react2.default.createElement(
          'span',
          { className: required ? 'menu-label menu-label-required' : 'menu-label' },
          lable
        ) : null,
        _react2.default.createElement(_dropdownList2.default, { items: options, selected: selected, onChange: this.onChangeHandler, required: required })
      );
    }
  }]);
  return _default;
}(_react.Component), _initialiseProps = function _initialiseProps() {
  var _this2 = this;

  this.onChangeHandler = function (selectedItem) {
    var value = undefined;
    if (selectedItem.length) {
      value = selectedItem[0].value;
    }
    var _props2 = _this2.props,
        menuKey = _props2.menuKey,
        required = _props2.required;

    if (required) {
      _this2.setState({ 'vaild': !!value });
    }
    _this2.props.onChange(menuKey, selectedItem);
  };
}, _temp);

exports.default = _default;
module.exports = exports['default'];