'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _slicedToArray2 = require('babel-runtime/helpers/slicedToArray');

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _cascadeItem = require('./cascade-item');

var _cascadeItem2 = _interopRequireDefault(_cascadeItem);

var _http = require('../../properties/http-wrapper/http');

var _http2 = _interopRequireDefault(_http);

var _filterParser = require('../../../helpers/filterParser');

var _filterParser2 = _interopRequireDefault(_filterParser);

require('../../../../src/components/basis/cascade-select/index.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default(props) {
    (0, _classCallCheck3.default)(this, _default);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call(this, props));

    _this.clearReflectItems = function _self(itemKey, items) {
      var _items$filter$0$refle = items.filter(function (_ref) {
        var key = _ref.key;
        return key == itemKey;
      })[0].reflects,
          reflects = _items$filter$0$refle === undefined ? [] : _items$filter$0$refle;

      var res = {};
      reflects.forEach(function (itemKey) {
        res[itemKey] = {};
        (0, _extends3.default)(res, _self(itemKey, items));
      });
      return res;
    };

    _this.onItemChangeHandler = function (targetItemKey, selectedItems) {
      var _selectedItems = (0, _slicedToArray3.default)(selectedItems, 1),
          _selectedItems$ = _selectedItems[0],
          selectedItem = _selectedItems$ === undefined ? {} : _selectedItems$;

      var selectedItemValue = selectedItem['value'];


      if (!selectedItemValue) {
        var targetItem = (0, _extends3.default)(_this.state[targetItemKey], { 'value': selectedItemValue });
        _this.setState((0, _defineProperty3.default)({}, targetItemKey, targetItem));
      } else {
        var item = (0, _extends3.default)(_this.state[targetItemKey], selectedItem);
        _this.setState((0, _defineProperty3.default)({}, targetItemKey, item));
      }

      /* 通过 reflect 激活需要级联的 menu */
      var _this$props$items = _this.props.items,
          items = _this$props$items === undefined ? [] : _this$props$items;
      var _items$filter$0$refle2 = items.filter(function (_ref2) {
        var key = _ref2.key;
        return key == targetItemKey;
      })[0].reflects,
          reflects = _items$filter$0$refle2 === undefined ? [] : _items$filter$0$refle2;

      /* 当前选中的节点发生变化，要清理所有当前节点联动的item的数据源 和 选中项 */

      var clearedState = _this.clearReflectItems(targetItemKey, items);
      _this.setState(clearedState);

      /* 选中有效item后，获取联动项的元数据 */
      if (selectedItemValue) {
        reflects.forEach(function (itemKey) {
          setTimeout(function () {
            return _this.getItemAsyncOptions(itemKey);
          }, 0);
        });
      }

      /* 抛出事件 */
      setTimeout(function () {
        return _this.onChange();
      }, 0);
    };

    _this.state = (0, _extends3.default)({}, _this.props.selected);
    return _this;
  }

  (0, _createClass3.default)(_default, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _this2 = this;

      var items = this.props.items;

      var _items = (0, _slicedToArray3.default)(items, 1),
          firstItemKey = _items[0]['key'];

      this.getItemAsyncOptions(firstItemKey);

      var _iteratorNormalCompletion = true;
      var _didIteratorError = false;
      var _iteratorError = undefined;

      try {
        for (var _iterator = (0, _getIterator3.default)(items), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
          var _ref4 = _step.value;
          var key = _ref4.key,
              _ref4$reflects = _ref4.reflects,
              reflects = _ref4$reflects === undefined ? [] : _ref4$reflects;

          if (this.state[key] && this.state[key].value) {
            reflects.forEach(function (itemKey) {
              setTimeout(function () {
                return _this2.getItemAsyncOptions(itemKey);
              }, 0);
            });
          }
        }
      } catch (err) {
        _didIteratorError = true;
        _iteratorError = err;
      } finally {
        try {
          if (!_iteratorNormalCompletion && _iterator.return) {
            _iterator.return();
          }
        } finally {
          if (_didIteratorError) {
            throw _iteratorError;
          }
        }
      }
    }
  }, {
    key: 'onChange',
    value: function onChange() {
      var _this3 = this;

      var resItemsObj = {};
      (0, _keys2.default)(this.state).forEach(function (itemKey) {
        var _state$itemKey = _this3.state[itemKey],
            options = _state$itemKey.options,
            usedData = (0, _objectWithoutProperties3.default)(_state$itemKey, ['options']);

        resItemsObj[itemKey] = usedData;
      });
      this.props.onChange(resItemsObj);
    }
  }, {
    key: 'getItemAsyncOptions',
    value: function getItemAsyncOptions(itemKey) {
      var _this4 = this;

      var _props$items = this.props.items,
          items = _props$items === undefined ? [] : _props$items;
      var _items$filter$0$http = items.filter(function (_ref5) {
        var key = _ref5.key;
        return key == itemKey;
      })[0].http,
          http = _items$filter$0$http === undefined ? [] : _items$filter$0$http;


      new _promise2.default(function (reslove, reject) {
        /* 没有动态数据源，直接返回静态配置 */
        if (!http.length) {
          return reslove([]);
        }

        /* 替换请求参数中需要的级联value */
        var httpFirst = http[0];
        var _httpFirst = httpFirst,
            _httpFirst$data = _httpFirst['data'],
            firstHttpData = _httpFirst$data === undefined ? {} : _httpFirst$data;


        var cascadeSelected = {};
        (0, _keys2.default)(_this4.state).forEach(function (itemKey) {
          cascadeSelected[itemKey] = _this4.state[itemKey].value;
        });

        firstHttpData = (0, _filterParser.parseObjValues)(firstHttpData, { cascadeSelected: cascadeSelected });
        /* copy 数据源，防止重写 */
        httpFirst = (0, _extends3.default)({}, httpFirst, { 'data': firstHttpData });
        /* request send */
        (0, _http2.default)([httpFirst]).then(function (responses) {
          reslove(responses);
        });
      }).then(function (responses) {
        var _responses = (0, _slicedToArray3.default)(responses, 1),
            selectItems = _responses[0];

        var _state$itemKey2 = _this4.state[itemKey],
            item = _state$itemKey2 === undefined ? {} : _state$itemKey2;

        item = (0, _extends3.default)(item, { 'options': selectItems });
        _this4.setState((0, _defineProperty3.default)({}, itemKey, item));
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this5 = this;

      var _props$items2 = this.props.items,
          items = _props$items2 === undefined ? [] : _props$items2;


      return _react2.default.createElement(
        'div',
        { className: 'pg-common-cmp-cascade-select' },
        items.map(function (_ref6) {
          var lable = _ref6.lable,
              _ref6$options = _ref6.options,
              options = _ref6$options === undefined ? [] : _ref6$options,
              key = _ref6.key,
              _ref6$required = _ref6.required,
              required = _ref6$required === undefined ? false : _ref6$required;

          var _ref7 = _this5.state[key] || {},
              _ref7$value = _ref7.value,
              value = _ref7$value === undefined ? '' : _ref7$value,
              _ref7$options = _ref7['options'],
              asyncOptions = _ref7$options === undefined ? [] : _ref7$options;

          options = options.concat(asyncOptions);
          return _react2.default.createElement(_cascadeItem2.default, {
            key: key,
            onChange: _this5.onItemChangeHandler,
            menuKey: key,
            lable: lable,
            selected: value,
            required: required,
            options: options
          });
        })
      );
    }
  }]);
  return _default;
}(_react.Component);

exports.default = _default;
module.exports = exports['default'];