'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _toolTip = require('@beisen/tool-tip');

var _toolTip2 = _interopRequireDefault(_toolTip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CheckboxItem = function (_Component) {
  (0, _inherits3.default)(CheckboxItem, _Component);

  function CheckboxItem() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, CheckboxItem);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = CheckboxItem.__proto__ || (0, _getPrototypeOf2.default)(CheckboxItem)).call.apply(_ref, [this].concat(args))), _this), _this.clickItem = function (e) {
      var _this$props = _this.props,
          handleClick = _this$props.handleClick,
          value = _this$props.value,
          text = _this$props.text,
          item = _this$props.item;

      handleClick(value, text, e, item);
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(CheckboxItem, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          _props$bsStyle = _props.bsStyle,
          bsStyle = _props$bsStyle === undefined ? true : _props$bsStyle,
          handleClick = _props.handleClick,
          value = _props.value,
          text = _props.text,
          handleHover = _props.handleHover,
          handleMouseOut = _props.handleMouseOut,
          cmp_id = _props.cmp_id;
      var helpMsg = this.props.helpMsg;


      return _react2.default.createElement(
        'div',
        {
          style: { 'position': 'relative' },
          className: (bsStyle ? 'cklist-checkbox cklist-optional' : 'cklist-checkbox cklist-notOptional') + ' checkbox-horizontal ' },
        _react2.default.createElement('label', { className: bsStyle ? this.props.isChecked : "table-item-check table-item-check-back",
          onClick: this.clickItem,
          onMouseOver: handleHover,
          onMouseOut: handleMouseOut,
          'data-logtype': 'click',
          'data-loglabel': 'CheckBoxList-Icon',
          'data-logcmpid': cmp_id
        }),
        _react2.default.createElement(
          'label',
          { className: 'check-title',
            onClick: handleClick.bind(this, value, this.props),
            'data-logtype': 'click',
            'data-loglabel': 'CheckBoxList-Text',
            'data-logcmpid': cmp_id
          },
          text
        ),
        helpMsg ? _react2.default.createElement(
          'span',
          { className: 'form-item__help' },
          _react2.default.createElement(
            _toolTip2.default,
            { title: helpMsg },
            _react2.default.createElement('span', { className: 'u-icon sys-icon-cus-bangzhu', style: { 'cursor': 'pointer' } })
          )
        ) : null
      );
    }
  }]);
  return CheckboxItem;
}(_react.Component);

exports.default = CheckboxItem;
module.exports = exports['default'];