'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _checkboxList = require('@beisen/checkbox-list');

var _checkboxList2 = _interopRequireDefault(_checkboxList);

var _checkboxItem = require('./checkbox-item');

var _checkboxItem2 = _interopRequireDefault(_checkboxItem);

var _toolTip = require('@beisen/tool-tip');

var _toolTip2 = _interopRequireDefault(_toolTip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function (_CheckboxList) {
  (0, _inherits3.default)(_default, _CheckboxList);

  function _default() {
    (0, _classCallCheck3.default)(this, _default);
    return (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).apply(this, arguments));
  }

  (0, _createClass3.default)(_default, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var checkboxItems = this.state.checkboxItems;
      var _props = this.props,
          name = _props.name,
          hidden = _props.hidden,
          disabled = _props.disabled,
          required = _props.required,
          errorStatus = _props.errorStatus,
          helpMsg = _props.helpMsg,
          sideTip = _props.sideTip,
          hiddenTip = _props.hiddenTip,
          lablePos = _props.lablePos,
          lableTxt = _props.lableTxt;


      var errorMsg = "请填写正确信息",
          errorContent = void 0,
          checkboxList = void 0;

      if (this.props.errorStatus) {
        errorMsg = this.props.errorMsg.length > 0 ? this.props.errorMsg : errorMsg;
        errorContent = React.createElement(
          'span',
          { className: 'form-item__explain' },
          errorMsg
        );
      }

      var lableStyle = void 0;
      if (lablePos) {
        lableStyle = lableTxt ? { 'float': 'left', 'textAlign': 'left' } : { 'float': 'left', 'textAlign': 'right' };
      } else {
        lableStyle = {};
      }

      if (hidden) {
        return React.createElement(
          'div',
          { className: 'field checkboxlist' },
          ' '
        );
      } else {
        return React.createElement(
          'div',
          { className: "form-item checkboxlist " + (helpMsg ? "form-item__help" : "") },
          React.createElement(
            'div',
            { className: 'form-item__title', title: name, style: lableStyle },
            required ? React.createElement(
              'a',
              { className: 'form-item__required' },
              React.createElement('i', { className: 'u-icon pc-sys-cus-bitian-svg' })
            ) : "",
            React.createElement(
              _toolTip2.default,
              { title: name, side: sideTip, hidden: hiddenTip },
              React.createElement(
                'label',
                { htmlFor: '', className: 'form-item__text' },
                name
              )
            ),
            helpMsg ? React.createElement(
              _toolTip2.default,
              { title: helpMsg, side: sideTip, hidden: hiddenTip },
              React.createElement('i', { className: 'u-icon sys-icon-cus-bangzhu' })
            ) : ''
          ),
          React.createElement(
            'div',
            { className: "form-item__control " + (errorStatus ? "form-item__control_has-error" : "") },
            React.createElement(
              'div',
              { style: { "marginLeft": "5px" } },
              checkboxItems.map(function (item, index) {
                var isChecked = void 0;
                if (disabled) {
                  isChecked = item.isChecked ? "table-item-check table-item-check-go pc-sys-Checkbox-active-svg" : 'table-item-check table-item-check-back pc-sys-Checkbox-disabled-svg';
                } else {
                  isChecked = item.isChecked ? "table-item-check table-item-check-go pc-sys-Checkbox-active-svg" : "table-item-check table-item-check-back pc-sys-Checkbox-nomal-svg";
                }
                return React.createElement(_checkboxItem2.default, { key: index, item: item, isChecked: isChecked,
                  text: item.text,
                  bsStyle: item.bsStyle,
                  value: item.value,
                  helpMsg: item.helpMsg,
                  handleClick: _this2.handleClick,
                  handleHover: _this2.handleHover,
                  handleMouseOut: _this2.handleMouseOut });
              })
            ),
            errorContent
          )
        );
      }
    }
  }]);
  return _default;
}(_checkboxList2.default);

exports.default = _default;
module.exports = exports['default'];