'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _getJsonEditor = require('./get-json-editor');

var _getJsonEditor2 = _interopRequireDefault(_getJsonEditor);

var _aceJsonEditor = require('./ace-json-editor');

var _aceJsonEditor2 = _interopRequireDefault(_aceJsonEditor);

var _filterParser = require('../../../helpers/filterParser');

var _filterParser2 = _interopRequireDefault(_filterParser);

require('../../../../src/components/basis/json-editor/index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (0, _getJsonEditor2.default)(_class = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default(props) {
    (0, _classCallCheck3.default)(this, _default);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call(this, props));

    _this.state = {};
    _this.aceJsonEditorId = 'pg-ace-core-json-editror';
    _this.editor = undefined;
    return _this;
  }

  (0, _createClass3.default)(_default, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.initAceJsonEditor();
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.destoryAceJsonEditor();
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      /* 赋值 */
      // if (nextProps.value !== this.props.value) {
      var value = (0, _stringify2.default)(nextProps.value);
      this.editor.setValue(value);
      // }
    }
  }, {
    key: 'destoryAceJsonEditor',
    value: function destoryAceJsonEditor() {
      this.editor.destroy();
    }
  }, {
    key: 'aceJsonEditorOnChange',
    value: function aceJsonEditorOnChange(e) {
      var value = this.editor.getValue();
      try {
        value = (0, _filterParser2.default)("{{ targetValue | convert 'JSON' }}", { targetValue: value });
      } catch (e) {}
      this.props.onChange(value);
    }
  }, {
    key: 'initAceJsonEditor',
    value: function initAceJsonEditor() {
      var _this2 = this;

      this.editor = _aceJsonEditor2.default.ace.edit(this.aceJsonEditorId);
      this.editor.session.setMode("ace/mode/json");

      /* 内容发生变化 */
      this.editor.on("change", function (e) {
        _this2.aceJsonEditorOnChange(e);
      });

      var _props$value = this.props.value,
          value = _props$value === undefined ? {} : _props$value;

      value = (0, _stringify2.default)(value);
      this.editor.setValue(value, 1); // 1: move cursor to the end
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        { className: 'pg-ace-json-editror-container' },
        _react2.default.createElement('pre', { id: '' + this.aceJsonEditorId, className: 'pg-ace-json-editror' })
      );
    }
  }]);
  return _default;
}(_react.Component)) || _class;

exports.default = _default;
module.exports = exports['default'];