'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _popLayer = require('@beisen/pop-layer');

var _popLayer2 = _interopRequireDefault(_popLayer);

require('../../../components/basis/notification/index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default(props) {
    (0, _classCallCheck3.default)(this, _default);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call(this, props));

    _this.state = {};
    return _this;
  }

  (0, _createClass3.default)(_default, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      var _this2 = this;

      if (this.props.show == false && nextProps.show == true) {
        setTimeout(function () {
          _this2.props.hideNotification();
        }, this.props.time);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          message = _props.message,
          _props$show = _props.show,
          show = _props$show === undefined ? false : _props$show,
          _props$noteType = _props.noteType,
          noteType = _props$noteType === undefined ? 'error' : _props$noteType;

      if (!show) return null;

      var infoType = noteType == 'error' ? '1' : '0';

      return _react2.default.createElement(
        'div',
        { className: 'pg-common-notification' },
        _react2.default.createElement(_popLayer2.default, {
          popType: '0',
          infoType: infoType,
          manualClose: false,
          title: message || '程序异常',
          left: 0,
          top: 0
        })
      );
    }
  }]);
  return _default;
}(_react.Component);

exports.default = _default;
module.exports = exports['default'];