'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

require('../../../../../src/components/basis/page-creator/create-page-form/index.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreatePage = function (_Component) {
  (0, _inherits3.default)(CreatePage, _Component);

  function CreatePage(props) {
    (0, _classCallCheck3.default)(this, CreatePage);

    var _this = (0, _possibleConstructorReturn3.default)(this, (CreatePage.__proto__ || (0, _getPrototypeOf2.default)(CreatePage)).call(this, props));

    _this.state = {
      'data': _this.props.data
    };
    return _this;
  }

  (0, _createClass3.default)(CreatePage, [{
    key: 'onInputChange',
    value: function onInputChange(e, key, limition) {
      var data = this.state.data;
      data[key] = e.target.value.substring(0, limition);
      this.setState({ 'data': data });
      this.props.onValuesChange(data);
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _state$data = this.state.data,
          name = _state$data.name,
          code = _state$data.code,
          describe = _state$data.describe,
          pageType = _state$data.pageType,
          metaObjName = _state$data.metaObjName;


      return _react2.default.createElement(
        'div',
        { className: 'pg-create-form-container' },
        _react2.default.createElement(
          'ul',
          { className: 'pg-create-form' },
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'div',
              { className: 'form-item' },
              _react2.default.createElement(
                'div',
                { className: 'form-item__title' },
                _react2.default.createElement(
                  'a',
                  { className: 'form-item__required' },
                  _react2.default.createElement('i', { className: 'u-icon pc-sys-cus-bitian-svg' })
                ),
                _react2.default.createElement(
                  'label',
                  { 'for': '', className: 'form-item__text' },
                  '\u540D\u79F0'
                )
              ),
              _react2.default.createElement(
                'div',
                { className: this.props.nameError ? 'form-item__control form-item__control_is-active form-item__control_has-info form-item__control_has-error' : 'form-item__control' },
                _react2.default.createElement('input', { type: 'text', className: 'u-input', placeholder: '\u9875\u9762\u540D\u79F0', value: name,
                  onChange: function onChange(e) {
                    return _this2.onInputChange(e, 'name', 50);
                  } }),
                _react2.default.createElement('span', { className: 'form-item__bottom-line' }),
                this.props.nameError ? _react2.default.createElement(
                  'span',
                  { className: 'form-item__explain' },
                  '\u540D\u79F0\u4E0D\u53EF\u4E3A\u7A7A(\u6700\u5927\u957F\u5EA6\u4E3A50)'
                ) : _react2.default.createElement('span', { className: 'form-item__right-icon' })
              )
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'div',
              { className: 'form-item' },
              _react2.default.createElement(
                'div',
                { className: 'form-item__title' },
                _react2.default.createElement(
                  'a',
                  { className: 'form-item__required' },
                  _react2.default.createElement('i', { className: 'u-icon pc-sys-cus-bitian-svg' })
                ),
                _react2.default.createElement(
                  'label',
                  { 'for': '', className: 'form-item__text' },
                  '\u7F16\u7801'
                )
              ),
              _react2.default.createElement(
                'div',
                { className: this.props.codeError || this.props.codeRepeat || this.props.codeCharacterError ? 'form-item__control form-item__control_is-active form-item__control_has-info form-item__control_has-error' : 'form-item__control' },
                _react2.default.createElement('input', { type: 'text', className: 'u-input', placeholder: '\u9875\u9762\u7F16\u7801', value: code,
                  onChange: function onChange(e) {
                    return _this2.onInputChange(e, 'code', 50);
                  }
                }),
                _react2.default.createElement('span', { className: 'form-item__bottom-line' }),
                this.props.codeError || this.props.codeRepeat || this.props.codeCharacterError ? _react2.default.createElement(
                  'span',
                  { className: 'form-item__explain' },
                  this.props.codeRepeat ? '编码已存在(不允许是系统关键词)' : this.props.codeCharacterError ? '编码只允许输入数字和字母' : '编码不可为空(最大长度为50)'
                ) : _react2.default.createElement('span', { className: 'form-item__right-icon' })
              )
            )
          ),
          metaObjName ? _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'div',
              { className: 'form-item' },
              _react2.default.createElement(
                'div',
                { className: 'form-item__title' },
                _react2.default.createElement(
                  'label',
                  { 'for': '', className: 'form-item__text' },
                  '\u5BF9\u8C61'
                )
              ),
              _react2.default.createElement(
                'div',
                { className: 'form-item__control form-item__control_is-readonly' },
                _react2.default.createElement('input', { type: 'text', className: 'u-input', value: metaObjName, readOnly: true }),
                _react2.default.createElement('span', { className: 'form-item__bottom-line' }),
                _react2.default.createElement(
                  'span',
                  { className: 'form-item__right-icon' },
                  _react2.default.createElement('i', { className: 'u-icon pc-sys-bukebianji-nomal-svg' })
                )
              )
            )
          ) : null,
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'div',
              { className: 'form-item' },
              _react2.default.createElement(
                'div',
                { className: 'form-item__title' },
                _react2.default.createElement(
                  'label',
                  { 'for': '', className: 'form-item__text' },
                  '\u7C7B\u578B'
                )
              ),
              _react2.default.createElement(
                'div',
                { className: 'form-item__control form-item__control_is-readonly' },
                _react2.default.createElement('input', { type: 'text', className: 'u-input', value: pageType, readOnly: true }),
                _react2.default.createElement('span', { className: 'form-item__bottom-line' }),
                _react2.default.createElement(
                  'span',
                  { className: 'form-item__right-icon' },
                  _react2.default.createElement('i', { className: 'u-icon pc-sys-bukebianji-nomal-svg' })
                )
              )
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'div',
              { className: 'form-item' },
              _react2.default.createElement(
                'div',
                { className: 'form-item__title' },
                _react2.default.createElement(
                  'label',
                  { 'for': '', className: 'form-item__text' },
                  '\u63CF\u8FF0'
                )
              ),
              _react2.default.createElement(
                'div',
                { className: 'form-item__control form-item__control_has-info' },
                _react2.default.createElement(
                  'span',
                  { className: 'u-textarea' },
                  _react2.default.createElement('textarea', { className: 'u-textarea__element',
                    onChange: function onChange(e) {
                      return _this2.onInputChange(e, 'describe', 250);
                    },
                    placeholder: '\u63CF\u8FF0\u4FE1\u606F\uFF0C\u9650\u5236\u957F\u5EA6250',
                    value: describe }),
                  _react2.default.createElement('span', { className: 'form-item__bottom-line' }),
                  _react2.default.createElement(
                    'span',
                    { className: 'u-textarea__tuozhuai-icon' },
                    _react2.default.createElement('i', { className: 'u-icon pc-sys-tuozhuai-nomal-svg' }),
                    _react2.default.createElement('i', { className: 'u-icon pc-sys-tuozhuai-active-svg' })
                  )
                )
              )
            )
          )
        )
      );
    }
  }]);
  return CreatePage;
}(_react.Component);

exports.default = CreatePage;
module.exports = exports['default'];