'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _customPop = require('./custom-pop');

var _customPop2 = _interopRequireDefault(_customPop);

var _createPageForm = require('./create-page-form');

var _createPageForm2 = _interopRequireDefault(_createPageForm);

var _selectTemplateForm = require('./select-template-form');

var _selectTemplateForm2 = _interopRequireDefault(_selectTemplateForm);

require('../../../../src/components/basis/page-creator/index.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PageCreater = function (_Component) {
  (0, _inherits3.default)(PageCreater, _Component);

  function PageCreater(props) {
    (0, _classCallCheck3.default)(this, PageCreater);

    var _this = (0, _possibleConstructorReturn3.default)(this, (PageCreater.__proto__ || (0, _getPrototypeOf2.default)(PageCreater)).call(this, props));

    _this.popNextStep = function () {
      _this.props.nextStep(_this.pageInfoData);
    };

    _this.popViewSave = function () {
      /* 选择模板验证 */
      if (!_this.templateSelected || !_this.pageInfoData) return false;
      _this.props.onSave({
        'pageInfo': _this.pageInfoData,
        'templateSelected': _this.templateSelected
      });
    };

    _this.popViewPrevStep = function () {
      _this.props.prevStep();
    };

    _this.onPageFromChange = function (formData) {
      _this.pageInfoData = formData;
    };

    _this.onTemplateSelected = function (obj) {
      _this.templateSelected = obj;
    };

    _this.state = {};

    _this.pageInfoData = undefined;
    _this.templateSelected = undefined;
    return _this;
  }

  (0, _createClass3.default)(PageCreater, [{
    key: 'render',
    value: function render() {

      var defaultProps = {
        'dataType': 'component',
        'hasFooter': true,
        'hasHeader': true,
        'showMask': true
        /* 更具step初始化表单 */
      };if (this.props.currentStep == 'createPage') {

        var cratePageForm = _react2.default.createElement(_createPageForm2.default, (0, _extends3.default)({
          data: this.props.pageForm,
          onValuesChange: this.onPageFromChange
        }, this.props.formValidate));

        (0, _extends3.default)(defaultProps, {
          'title': '创建',
          'data': cratePageForm,
          'cloBtnShow': false,
          'subBtnText': '下一步',
          'submitPop': this.popNextStep
        });
      } else {

        var selectLayoutForm = _react2.default.createElement(_selectTemplateForm2.default, {
          data: this.props.templateForm,
          onSelected: this.onTemplateSelected,
          getTemplateList: this.props.getTemplateList });

        (0, _extends3.default)(defaultProps, {
          'title': '选择布局',
          'data': selectLayoutForm,
          'subBtnText': '完成',
          'cloBtnText': '上一步',
          'submitPop': this.popViewSave,
          'closePop': this.popViewPrevStep
        });
      }

      return _react2.default.createElement(
        'div',
        { className: 'pg-page-creater-container' },
        _react2.default.createElement(_customPop2.default, defaultProps),
        this.props.error ? _react2.default.createElement(
          'span',
          { className: 'pg-ctpe-status' },
          this.props.error.message
        ) : ''
      );
    }
  }]);
  return PageCreater;
}(_react.Component);

exports.default = PageCreater;
module.exports = exports['default'];