'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _list = require('@beisen/transfer/lib/list');

var _list2 = _interopRequireDefault(_list);

require('../../../../components/basis/page-creater/SelectTemplateForm/index.css');

require('../../../../components/basis/page-creater/SelectTemplateForm/upaas-layout-one-column.svg');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreatePage = function (_Component) {
  (0, _inherits3.default)(CreatePage, _Component);

  function CreatePage(props) {
    (0, _classCallCheck3.default)(this, CreatePage);

    var _this = (0, _possibleConstructorReturn3.default)(this, (CreatePage.__proto__ || (0, _getPrototypeOf2.default)(CreatePage)).call(this, props));

    _this.onItemClick = function (itemFlag, selectedItem) {
      _this.setState({ 'selectedItem': selectedItem });
      _this.props.onSelected({
        'type': _this.state.currentTab,
        'item': selectedItem
      });
    };

    _this.state = {
      'currentTab': _this.props.data.hasTemplate ? 'template' : 'layout',
      'selectedItem': {}
    };
    return _this;
  }

  (0, _createClass3.default)(CreatePage, [{
    key: 'onChangeTab',
    value: function onChangeTab(tabType) {
      this.setState({
        'currentTab': tabType
      });
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.props.getTemplateList();
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _state = this.state,
          currentTab = _state.currentTab,
          _state$selectedItem = _state.selectedItem,
          selectedItem = _state$selectedItem === undefined ? {} : _state$selectedItem;
      var _props$data = this.props.data,
          _props$data$layouts = _props$data.layouts,
          layouts = _props$data$layouts === undefined ? [] : _props$data$layouts,
          _props$data$templates = _props$data.templates,
          templates = _props$data$templates === undefined ? [] : _props$data$templates,
          hasTemplate = _props$data.hasTemplate;
      var _iteratorNormalCompletion = true;
      var _didIteratorError = false;
      var _iteratorError = undefined;

      try {

        for (var _iterator = (0, _getIterator3.default)(layouts), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
          var layout = _step.value;

          layout.active = false;
          if (currentTab == 'layout' && layout.value == selectedItem.value) {
            layout.active = true;
          }
        }
      } catch (err) {
        _didIteratorError = true;
        _iteratorError = err;
      } finally {
        try {
          if (!_iteratorNormalCompletion && _iterator.return) {
            _iterator.return();
          }
        } finally {
          if (_didIteratorError) {
            throw _iteratorError;
          }
        }
      }

      var _iteratorNormalCompletion2 = true;
      var _didIteratorError2 = false;
      var _iteratorError2 = undefined;

      try {
        for (var _iterator2 = (0, _getIterator3.default)(templates), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true) {
          var temp = _step2.value;

          temp.active = false;
          if (currentTab == 'template' && temp.value == selectedItem.value) {
            temp.active = true;
          }
        }
      } catch (err) {
        _didIteratorError2 = true;
        _iteratorError2 = err;
      } finally {
        try {
          if (!_iteratorNormalCompletion2 && _iterator2.return) {
            _iterator2.return();
          }
        } finally {
          if (_didIteratorError2) {
            throw _iteratorError2;
          }
        }
      }

      var selectedItemValue = selectedItem['value'];


      return _react2.default.createElement(
        'div',
        { className: 'pg-select-layout-container' },
        _react2.default.createElement(
          'div',
          { className: hasTemplate ? 'tab pg-slat-tab' : 'pg-slat-tab' },
          hasTemplate ? _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'ul',
              { className: 'list_horizontal list_wrap tab__list' },
              _react2.default.createElement(
                'li',
                {
                  className: currentTab == 'template' ? 'tab__item tab__item_is-active' : 'tab__item',
                  onClick: function onClick() {
                    _this2.onChangeTab('template');
                  } },
                '\u57FA\u4E8E\u6A21\u677F'
              ),
              _react2.default.createElement(
                'li',
                {
                  className: currentTab == 'layout' ? 'tab__item tab__item_is-active' : 'tab__item',
                  onClick: function onClick() {
                    _this2.onChangeTab('layout');
                  } },
                '\u57FA\u4E8E\u5E03\u5C40'
              )
            ),
            _react2.default.createElement('div', { className: 'tab__line', style: {
                width: '80px',
                left: currentTab == 'template' ? '1px' : '84px'
              } })
          ) : null,
          _react2.default.createElement(
            'div',
            { className: 'pg-slat-tab-content transfer__container' },
            _react2.default.createElement(
              'div',
              { className: 'transfer__content' },
              currentTab == 'template' ? _react2.default.createElement(
                'ul',
                null,
                templates.map(function (item) {
                  return _react2.default.createElement(
                    'li',
                    { key: item.value, className: item.active ? 'transfer__item active' : 'transfer__item',
                      onClick: function onClick(e) {
                        _this2.onItemClick('template', item);
                      } },
                    _react2.default.createElement(
                      'span',
                      { className: 'transfer__text' },
                      item.label
                    )
                  );
                })
              ) : _react2.default.createElement(
                'ul',
                null,
                layouts.map(function (item) {
                  return _react2.default.createElement(
                    'li',
                    { key: item.value, className: item.active ? 'transfer__item active' : 'transfer__item',
                      onClick: function onClick(e) {
                        _this2.onItemClick('layout', item);
                      } },
                    _react2.default.createElement(
                      'span',
                      { className: 'transfer__text' },
                      item.label
                    )
                  );
                })
              )
            )
          )
        ),
        _react2.default.createElement(
          'div',
          { className: 'pg-slat-contnet' },
          _react2.default.createElement('span', { className: 'pg-slat-layout-icon ' + selectedItemValue })
        )
      );
    }
  }]);
  return CreatePage;
}(_react.Component);

exports.default = CreatePage;
module.exports = exports['default'];