'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _collectionPicker = require('../../helpers/collection-picker');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default(props) {
    (0, _classCallCheck3.default)(this, _default);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call(this, props));

    _this.onChangeHandler = function (e) {
      _this.setState({ 'selected': e.target.value });
      _this.props.onChange({ 'value': e.target.value });
    };

    _this.state = {
      'selected': ''
    };
    return _this;
  }

  (0, _createClass3.default)(_default, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          _props$items = _props.items,
          items = _props$items === undefined ? [] : _props$items,
          selected = _props.selected,
          label = _props.label;


      selected = this.state.selected || selected;

      if (selected) {
        items = (0, _collectionPicker.selectedItem)(items, { 'value': selected });
      }

      return React.createElement(
        'div',
        { className: 'default-setting-wrapper pg-prop-select' },
        React.createElement(
          'div',
          null,
          label
        ),
        React.createElement(
          'select',
          { onChange: this.onChangeHandler, value: selected },
          items.map(function (_ref) {
            var label = _ref.label,
                value = _ref.value;
            return React.createElement(
              'option',
              { value: value, key: value },
              label
            );
          })
        )
      );
    }
  }]);
  return _default;
}(_react.Component);

exports.default = _default;
module.exports = exports['default'];