'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.installElements = undefined;

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _default = require('./basis/default');

var _default2 = _interopRequireDefault(_default);

var _table = require('./basis/table');

var _table2 = _interopRequireDefault(_table);

var _form = require('./basis/form');

var _form2 = _interopRequireDefault(_form);

var _tab = require('./basis/tab');

var _tab2 = _interopRequireDefault(_tab);

var _iframe = require('./basis/iframe');

var _iframe2 = _interopRequireDefault(_iframe);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var elements = {
  Default: _default2.default,
  Table: _table2.default,
  Form: _form2.default,
  Tab: _tab2.default,
  Iframe: _iframe2.default
};

exports.default = elements;
var installElements = exports.installElements = function installElements(insElements) {
  (0, _keys2.default)(insElements).forEach(function (name) {
    elements[name] = insElements[name];
  });
};