'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _extends3 = require('babel-runtime/helpers/extends');

var _extends4 = _interopRequireDefault(_extends3);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _commonPop = require('@beisen/common-pop');

var _commonPop2 = _interopRequireDefault(_commonPop);

var _eventsPicker = require('./eventsPicker');

var _eventsPicker2 = _interopRequireDefault(_eventsPicker);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default(props) {
    (0, _classCallCheck3.default)(this, _default);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call(this, props));

    _this.popViewSave = function () {
      var _this$eventsPickerDat = _this.eventsPickerData,
          _this$eventsPickerDat2 = _this$eventsPickerDat.selectedTargetEvent,
          selectedTargetEvent = _this$eventsPickerDat2 === undefined ? {} : _this$eventsPickerDat2,
          _this$eventsPickerDat3 = _this$eventsPickerDat.selectedActiveCmpEvent,
          selectedActiveCmpEvent = _this$eventsPickerDat3 === undefined ? {} : _this$eventsPickerDat3,
          _this$eventsPickerDat4 = _this$eventsPickerDat.eventParams,
          eventParams = _this$eventsPickerDat4 === undefined ? {} : _this$eventsPickerDat4;
      var _this$props$data = _this.props.data,
          events = _this$props$data === undefined ? {} : _this$props$data;


      (0, _extends4.default)(events, (0, _defineProperty3.default)({}, selectedTargetEvent.name, [{
        'type': selectedActiveCmpEvent.name,
        'params': (0, _extends4.default)({}, eventParams)
      }]));

      _this.props.update(events);
      _this.setState({ 'showEditor': false });
    };

    _this.popViewClose = function () {
      _this.setState({ 'showEditor': false });
    };

    _this.onEditClickHandler = function () {
      _this.setState({ 'showEditor': true });
    };

    _this.state = {
      'showEditor': false,
      'editItems': {}
    };
    _this.eventsPickerData;
    return _this;
  }

  (0, _createClass3.default)(_default, [{
    key: 'onEventsPickerChange',
    value: function onEventsPickerChange(state) {
      this.eventsPickerData = state;
    }
  }, {
    key: 'onEventEditClick',
    value: function onEventEditClick(e, event) {
      this.setState({ 'showEditor': true });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          pageState = _props.pageState,
          _props$data = _props.data,
          events = _props$data === undefined ? {} : _props$data;
      var _state = this.state,
          showEditor = _state.showEditor,
          editItem = _state.editItem;
      var _props$attributes$pro = this.props.attributes.props,
          targetClassId = _props$attributes$pro.targetClassId,
          targetEvents = _props$attributes$pro.targetEvents;


      var eventPicker = _react2.default.createElement(_eventsPicker2.default, {
        data: editItem,
        pageState: pageState,
        targetClassId: targetClassId,
        targetEvents: targetEvents,
        onChange: this.onEventsPickerChange.bind(this)
      });

      return _react2.default.createElement(
        'div',
        { className: 'pg-events-editor' },
        _react2.default.createElement(
          'div',
          { className: 'pg-events-readonly-container' },
          (0, _keys2.default)(events).map(function (eKey) {
            return _react2.default.createElement(
              'div',
              { className: 'pg-events-read-item', onClick: function onClick(e) {
                  _this2.onEventEditClick(e, { name: eKey, label: events[eKey].label });
                } },
              targetEvents[eKey].label,
              ' (',
              eKey,
              ')'
            );
          })
        ),
        _react2.default.createElement(
          'div',
          { className: 'pg-events-editor-edit-container' },
          _react2.default.createElement('span', { className: 'ui-icon sys-icon-IM-bianji pg-events-editor-edit', onClick: this.onEditClickHandler })
        ),
        showEditor ? _react2.default.createElement(_commonPop2.default, {
          title: '配置事件',
          dataType: 'component',
          hasFooter: true,
          hasHeader: true,
          showMask: true,
          data: eventPicker,
          submitPop: this.popViewSave,
          closePop: this.popViewClose }) : null
      );
    }
  }]);
  return _default;
}(_react.Component);

exports.default = _default;
module.exports = exports['default'];