'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _TabItemEditor = require('./../TabItemEditor');

var _TabItemEditor2 = _interopRequireDefault(_TabItemEditor);

require('../../../../../../src/components/properties/basis/tab-item-creator/TabItemList/images/sort-top.png');

require('../../../../../../src/components/properties/basis/tab-item-creator/TabItemList/images/sort-down.png');

require('../../../../../../src/components/properties/basis/tab-item-creator/TabItemList/images/tab-edit.png');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default(props) {
    (0, _classCallCheck3.default)(this, _default);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call(this, props));

    _this.state = {
      'editViewShow': false
    };
    return _this;
  }

  (0, _createClass3.default)(_default, [{
    key: 'onDeleteClickHandler',
    value: function onDeleteClickHandler() {
      var value = this.props.value;

      this.props.onDelete(value);
    }
  }, {
    key: 'onEditClickHandler',
    value: function onEditClickHandler() {
      this.setState({ 'editViewShow': true });
    }
  }, {
    key: 'onEditorUpdate',
    value: function onEditorUpdate(_ref) {
      var label = _ref.label,
          value = _ref.value,
          code = _ref.code;

      this.setState({ 'editViewShow': false });
      var oldValue = this.props['value'];

      this.props.onUpdate(oldValue, { label: label, value: value, code: code });
    }
  }, {
    key: 'onEditorCancel',
    value: function onEditorCancel() {
      this.setState({ 'editViewShow': false });
    }
  }, {
    key: 'onSortClickHandler',
    value: function onSortClickHandler(direction) {
      var currentValue = this.props['value'];

      this.props.onSort(currentValue, { direction: direction });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          label = _props.label,
          code = _props.code,
          value = _props.value,
          currentIndex = _props.currentIndex;
      var editViewShow = this.state.editViewShow;


      return React.createElement(
        'li',
        { className: 'pg-prop-tab-item' },
        React.createElement(
          'div',
          { className: 'ppti-sort ppti-item' },
          React.createElement('span', { className: 'ppti-sort-top sys-icon-arrowup-nomal', onClick: function onClick() {
              _this2.onSortClickHandler.call(_this2, 'top');
            } }),
          React.createElement('span', { className: 'ppti-sort-down sys-icon-arrowdown-nomal', onClick: function onClick() {
              _this2.onSortClickHandler.call(_this2, 'down');
            } })
        ),
        React.createElement(
          'div',
          { className: 'ppti-label ppti-item' },
          React.createElement(
            'span',
            { className: 'ppti-label-index' },
            label
          ),
          React.createElement(
            'span',
            { className: 'ppti-label-text' },
            code
          )
        ),
        React.createElement(
          'div',
          { className: 'ppti-edit ppti-item', onClick: this.onEditClickHandler.bind(this) },
          React.createElement('span', { className: 'ppti-edit-icon sys-icon-IM-bianji' })
        ),
        React.createElement(
          'div',
          { className: 'ppti-delete ppti-item', onClick: this.onDeleteClickHandler.bind(this) },
          React.createElement('span', { className: 'ppti-delete-icon sys-icon-close' })
        ),
        editViewShow ? React.createElement(_TabItemEditor2.default, {
          value: value,
          code: code,
          label: label,
          onSaveClickHandler: this.onEditorUpdate.bind(this),
          onCancelClickHandler: this.onEditorCancel.bind(this),
          checkCodeRepeat: this.props.checkCodeRepeat }) : null
      );
    }
  }]);
  return _default;
}(_react.Component);

exports.default = _default;
module.exports = exports['default'];