'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _filterParser = require('../../../../../helpers/filterParser');

var _filterParser2 = _interopRequireDefault(_filterParser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var httpResponse = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var res = {};
  var _params$propKey = params.propKey,
      propKey = _params$propKey === undefined ? '' : _params$propKey,
      _params$propValue = params.propValue,
      propValue = _params$propValue === undefined ? '' : _params$propValue;

  res[propKey] = (0, _filterParser2.default)(propValue, { httpResponse: httpResponse });
  return res;
};

module.exports = exports['default'];