'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (state) {
  var data = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
  var params = arguments[2];
  var _params$comparedProps = params.comparedProps,
      comparedProps = _params$comparedProps === undefined ? [] : _params$comparedProps;
  var _state$pageSource$com = state.pageSource.componentList,
      componentList = _state$pageSource$com === undefined ? [] : _state$pageSource$com;

  var repeatTimes = {};

  /* 循环组件 */
  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    for (var _iterator = (0, _getIterator3.default)(componentList), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      var _ref2 = _step.value;
      var editableData = _ref2.editableData,
          cmpId = _ref2['id'];

      /* 循环属性 */
      var _iteratorNormalCompletion3 = true;
      var _didIteratorError3 = false;
      var _iteratorError3 = undefined;

      try {
        for (var _iterator3 = (0, _getIterator3.default)(comparedProps), _step3; !(_iteratorNormalCompletion3 = (_step3 = _iterator3.next()).done); _iteratorNormalCompletion3 = true) {
          var propName = _step3.value;

          if (propName in editableData) {
            var propData = (0, _stringify2.default)(editableData[propName]);
            if (!repeatTimes[propName + '/' + propData]) {
              repeatTimes[propName + '/' + propData] = 1;
            } else {
              repeatTimes[propName + '/' + propData] = repeatTimes[propName + '/' + propData] + 1;
            }
          }
        }
      } catch (err) {
        _didIteratorError3 = true;
        _iteratorError3 = err;
      } finally {
        try {
          if (!_iteratorNormalCompletion3 && _iterator3.return) {
            _iterator3.return();
          }
        } finally {
          if (_didIteratorError3) {
            throw _iteratorError3;
          }
        }
      }
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }

  var repeatTimeKeys = (0, _keys2.default)(repeatTimes);
  var _iteratorNormalCompletion2 = true;
  var _didIteratorError2 = false;
  var _iteratorError2 = undefined;

  try {
    for (var _iterator2 = (0, _getIterator3.default)(repeatTimeKeys), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true) {
      var repeatKey = _step2.value;

      var repeatVal = repeatTimes[repeatKey];
      var currentDataIsRepeated = repeatKey.match(new RegExp('\/' + (0, _stringify2.default)(data) + '$', 'i'));
      if (repeatVal > 1 && currentDataIsRepeated) {
        return false;
      }
    }
  } catch (err) {
    _didIteratorError2 = true;
    _iteratorError2 = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion2 && _iterator2.return) {
        _iterator2.return();
      }
    } finally {
      if (_didIteratorError2) {
        throw _iteratorError2;
      }
    }
  }

  return true;
};

module.exports = exports['default'];