'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (state) {
  var value = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
  var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var limit = params.limit;

  if (limit == undefined) {
    throw new Error('maxLength验证规则需要配置 limit 属性');
  }
  if (value.length > limit) {
    return false;
  }
  return true;
};

module.exports = exports['default'];