'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var items = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var attrsMap = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var resItems = items.map(function (item) {
    var res = {};
    (0, _keys2.default)(attrsMap).forEach(function (oriKey) {
      var newKey = attrsMap[oriKey];
      var data = null;
      if (oriKey === '$total') data = item;else data = item[oriKey];
      res[newKey] = data;
    });
    return res;
  });
  return resItems;
};

module.exports = exports['default'];