'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

exports.default = function (module) {
  var m = (0, _extends3.default)({}, _defaultModule, module);
  _exportModuleManager2.default.add(m);
};

var _exportModuleManager = require('./exportModuleManager');

var _exportModuleManager2 = _interopRequireDefault(_exportModuleManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// 默认值
var _defaultModule = {
  'components': [],
  'modules': {
    'actions': {},
    'getters': {},
    'mutations': {},
    'state': {}
  }

  /**
  * 异步模块中调用改函数，把模块写入队列, 所有模块会在 scirpt.onload 时全部返回
  * {
  *   components: [Vue Component Class List],
  *   modules: {
  *     actions: {},
  *     getters: {},
  *     mutations: {},
  *     state: {}
  *   }
  * }
  **/
}; /*
   * 异步模块需要调用的函数，返回异步模块
   */
module.exports = exports['default'];