"use strict";

/*
* 获取script脚本中返回对的模块必要的队列
*/

var queue = [];

module.exports = {

  add: function add(obj /* module or function */) {
    queue.push(obj);
  },

  clear: function clear() {
    queue = [];
  },

  /*
  * 目前且使用队列完成单个模块的加载
  * 之后需求变更后，需要加载多模块时，直接修改该函数即可
  */
  getModules: function getModules() {
    var moduleFirst = queue[0];
    queue = [];
    return moduleFirst;
  }
};