"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/*
* 通过此类维护模块的保存于获取
* 已加载过的模块不在做二次请求，直接在内存中拿
*/
var installedModules = {};

exports.default = {

  set: function set(id, module) {
    installedModules[id] = module;
  },

  get: function get(id) {
    return installedModules[id];
  },

  has: function has(id) {
    if (this.get(id)) return true;
    return false;
  }
};
module.exports = exports["default"];