'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _ValidateError = require('./ValidateError');

var _ValidateError2 = _interopRequireDefault(_ValidateError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (tubState, cmpMetaData, params) {
  var pageType = params.pageType,
      _params$requiredCmpTy = params.requiredCmpTypes,
      requiredCmpTypes = _params$requiredCmpTy === undefined ? [] : _params$requiredCmpTy,
      message = params.message;
  var _tubState$componentLi = tubState.componentList,
      componentList = _tubState$componentLi === undefined ? [] : _tubState$componentLi;


  var savedCmpTypes = componentList.map(function (_ref) {
    var type = _ref.type;
    return type;
  });

  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    for (var _iterator = (0, _getIterator3.default)(requiredCmpTypes), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      var cmpType = _step.value;

      if (!savedCmpTypes.includes(cmpType)) {
        throw new _ValidateError2.default(message);
        break;
      }
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }

  return tubState;
};

module.exports = exports['default'];