'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

/* 格式化组件元数据为pgb结构 */
exports.default = function (standardCmps) {
  return standardCmps.map(function (_ref) {
    var label = _ref.label,
        _ref$components = _ref.components,
        components = _ref$components === undefined ? [] : _ref$components;

    components = components.map(function (_ref2) {
      var label = _ref2.label,
          name = _ref2.name,
          type = _ref2.type,
          id = _ref2.id,
          data = _ref2.data;

      return {
        'displayTitle': label,
        // pag接受name作为组件的驱动名称
        'name': type,
        // 'type': type,
        'data': data,
        'id': id
      };
    });
    return { 'name': label, components: components };
  });
};

module.exports = exports['default'];