import React, { Component } from 'react'
import CascadeSelect from '../../../basis/cascade-select'
import '../../../../../src/components/properties/basis/cascade-selector/index.css'

export default class extends Component {
  onCascadeSelectChangeHandler (cascadeSelected) {
    let cascaDatas = {}
    Object.keys(cascadeSelected).forEach(itemDataKey => {
      cascaDatas[itemDataKey] = cascadeSelected[itemDataKey].value
    })

    let data = Object.assign(
      {}, 
      this.props.data,
      cascaDatas,
      { cascadeSelected }
    )
    this.props.update(data)
  }

  render () {
    let {
      data={},
      'attributes': {
        'props': {
          selectItems=[]
        }
      }
    } = this.props

    let { cascadeSelected={} } = data

    return (<div>
      <CascadeSelect items={ selectItems } selected={ cascadeSelected } onChange={ ::this.onCascadeSelectChangeHandler } />
    </div>)
  }
}
