import React, { Component } from 'react'
import CommonCheckbox from '../../../basis/checkbox'
import '../../../../../src/components/properties/basis/checkbox/index.scss'

export default class Checkbox extends Component {

  componentDidMount () {
    let {
      defaultValueNeedUpdate,
      'attributes': { 'props': { checked } }
    } = this.props

    if (defaultValueNeedUpdate) this.props.updateSilent(checked)
  }

  onCheckedHandler = (checked) => {
    this.props.update(checked)
  }

  render () {
    let {
      'data': checked,
      'attributes': {
        'props': { 'checked': initChecked }
      }
    } = this.props

    if (checked === undefined) checked = initChecked

    return <div className='pg-props-checkbox'>
      <CommonCheckbox checked={ checked } onChange={this.onCheckedHandler} />
    </div>
  }
}
