import React, { Component } from 'react'
import CommonJsonPopEditor from '../../../basis/json-pop-editor'
import '../../../../../src/components/properties/basis/json-editor/index.css'

export default class extends Component {
  componentDidMount () {
    let {
      defaultValueNeedUpdate,
      'attributes': { 'props': { value = {} } }
    } = this.props

    if (defaultValueNeedUpdate) {
      this.props.updateSilent(value)
    }
  }

  onJsonEditorChangeHandler = (value) => {
    this.props.update(value)
  }

  render () {
    let {
      'data': value = {},
      'attributes': {
        'props': { 'value': initValue }
      }
    } = this.props

    if (value === undefined) value = initValue

    return <div className='pg-props-json-editor'>
      <CommonJsonPopEditor value={ value } onChange={ this.onJsonEditorChangeHandler } />
    </div>
  }
}
