import React, { Component } from 'react';
import CommonPop from "@beisen/common-pop"
import '../../../../../src/components/properties/basis/select-list/index.scss'

export default class extends Component {
  constructor(props, content) {
    super(props, content);
    this.state = {};
    this.onEditClickHandler = this.onEditClickHandler.bind(this);
  }

  onEditClickHandler = (e) => {
    this.props.update({ 'items': this.props.data });
  }

  render() {
    let { items=[] } = this.props.data

    return <div className='pg-prop-select-list'>
      <select size="6">
        {
          items.map((item) =>
            <option key={item.value} value={item.value}>
              {item.label}
            </option>
          )
        }
      </select>
    </div>
  }
}
