export default (state, data = '', params) => {
  let { comparedProps=[] } = params
  let { componentList=[] } = state.pageSource
  let repeatTimes = {}

  /* 循环组件 */
  for(let { editableData, 'id': cmpId } of componentList) {
    /* 循环属性 */
    for (let propName of comparedProps) {
      if (propName in editableData) {
        let propData = JSON.stringify(editableData[propName])
        if (!repeatTimes[`${propName}/${propData}`]) {
          repeatTimes[`${propName}/${propData}`] = 1
        }
        else {
          repeatTimes[`${propName}/${propData}`] = repeatTimes[`${propName}/${propData}`] + 1
        }
      }
    }
  }

  let repeatTimeKeys = Object.keys(repeatTimes)
  for (let repeatKey of repeatTimeKeys) {
    let repeatVal = repeatTimes[repeatKey]
    let currentDataIsRepeated = repeatKey.match(new RegExp('\/'+JSON.stringify(data)+'$', 'i'))
    if (repeatVal > 1 && currentDataIsRepeated) {
      return false
    }
  }

  return true
}
