export default (state) => {
  let { pageSource, elementComponents = [] } = state

  let cmpNameMapping = {}
  for (let { components=[] } of elementComponents) {
  	for(let { name, label } of components) {
  		cmpNameMapping[name] = label
  	}
  }

  let { componentList=[] } = pageSource

  let cmps = componentList.map(({ name, id }) => ({
  	'label': cmpNameMapping[name], 'value': id
  }))

  return cmps
}
