import formatters from '../../../formatters'

export default (value, formatterName = '') => {
  if (!formatters[formatterName]) {
  	throw new Error(`未找到对应formatter: ${formatterName}`)
  }
  return formatters[formatterName](value)
}
