
import map from './map'
import filter from './filter'
import get from './get'
import getAt from './getAt'
import format from './format'
import or from './or'
import join from './join'
import convert from './convert'
import is from './is'

let filters = { map, filter, get, getAt, format, or, join, convert, is }

export const resolveFilter = (filterName) => {  
  let filter = filters[filterName]
  if (!filter) throw new Error(`未找到指定filter: ${filterName}`)
  return filter
}
