import ValidateError from './ValidateError'

export default (tubState, cmpMetaData, params) => {
  let { pageType, requiredCmpTypes = [], message } = params
  let { componentList = [] } = tubState

  let savedCmpTypes = componentList.map(({ type }) => type)

  for (let cmpType of requiredCmpTypes) {
    if (!savedCmpTypes.includes(cmpType)) {
      throw new ValidateError(message)
      break
    }
  }

  return tubState
}
