/* 初始化pgb转换数据结构的函数 */
export default (standardPageData) => {
  if (!standardPageData) return {}
  if (!standardPageData.componentList) return {}

  let { componentList = [], pageSettings, ...restData } = standardPageData
  componentList = componentList.map(cmp => {
    let {
      name,
      type,
      ...restData
    } = cmp
    return { 'cType': type, ...restData }
  })

  /*
  * 去掉，pgb不接受的其他属性
  */
  let {
    id, classId, type, name, cType,
    ...restSettings
  } = pageSettings

  pageSettings = restSettings

  return {
    pageSettings, componentList, ...restData
  }
}
