/* 格式化组件元数据为pgb结构 */
export default (standardCmps) => {
  return standardCmps.map(({ label, components = [] }) => {
    components = components.map(({ label, name, type, id, data }) => {
      return {
        'displayTitle': label,
        // pag接受name作为组件的驱动名称
        'name': type,
        // 'type': type,
        'data': data,
        'id': id,
      }
    })
    return { 'name': label, components }
  })
}
