var Component = AV.Object.extend('Components');

function releaseNewCmp(metadata) {
  var name = $('#inputTitle').val();
  var code = $('#inputPrice').val();
  var type = $('#inputType').val();
  var description = $('#inputDescription').val();
  var metadata = window.aceEditor.getValue();

  var currentUser = AV.User.current();

  var cmp = new Component();

  if (window.location.search) {
    let objectIdKey = window.location.search.replace(/[\?]/, '')
    let objectId = objectIdKey.split('=')[1]

    var query = new AV.Query('Components');

    query.get(objectId, {
      success: function(obj) {
        obj.set('name', name);
        obj.set('code', code);
        obj.set('description', description);
        obj.set('metadata', JSON.parse(metadata));
        obj.set('type', type)
        obj.set('owner', AV.User.current());
        obj.save().then(function() {
          window.location.href = "./../cmp-list/cmp-list.html";
        }, function(error) {
          alert(JSON.stringify(error));
        });
      },
      error: function(obj, err) {
        console.log(err.message);
      }
    })
  } else {
    cmp.set('name', name);
    cmp.set('code', code);
    cmp.set('description', description);
    cmp.set('metadata', JSON.parse(metadata));
    cmp.set('type', type)
    cmp.set('owner', AV.User.current());
    cmp.save().then(function() {
      window.location.href = "./../cmp-list/cmp-list.html";
    }, function(error) {
      alert(JSON.stringify(error));
    });
  }
};

$(function() {
  if (isCurrentUser()) {
    $(".new-product").on('submit', function(e) {
      e.preventDefault();
      releaseNewCmp();
    });
  } else {
    window.location.href = "./../login/login.html";
  }
});

if (window.location.search) {
  let objectIdKey = window.location.search.replace(/[\?]/, '')
  let objectId = objectIdKey.split('=')[1]
  
  var query = new AV.Query('Components')

  query.get(objectId, {
    success: function(obj) {
      var name = $('#inputTitle').val(obj.get('name'));
      $('#inputPrice').val(obj.get('code'));
      $('#inputDescription').val(obj.get('description'));
      // $('#inputMetadata').val(JSON.stringify(obj.get('metadata')));
      $('#inputType').val(obj.get('type'))
      window.aceEditor.setValue(JSON.stringify(obj.get('metadata'), null, 4), 1)
    },
    error: function(obj, err) {
      console.log(err.message);
    }
  })
}
