#!/usr/local/bin/node

let v1 = require('uuid').v1
let fs = require('fs')
let path = require('path');
require('shelljs/global');

let staticDir = path.join(__dirname, '..', '', 'static')
let cmps = {}
let lines = ['/* eslint-disable */']

ls('-R', staticDir).filter(function (file) {
  return file.match(/\.(png|jpg|gif|svg)$/)
}).forEach(function (file) {

  lines.push(`import './${file}'`)
})

lines.push(``)

fs.writeFile(path.join(__dirname, '..', 'static', 'index.js'), lines.join('\n'), (err) => {
  if (err) throw err
  console.log('the file of global components is saved!')
})
