'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _basedCheckboxList = require('./based-checkbox-list');

var _basedCheckboxList2 = _interopRequireDefault(_basedCheckboxList);

require('../../../../src/components/basis/checkbox-list/index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default(props) {
    (0, _classCallCheck3.default)(this, _default);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call(this, props));

    _this.onClick = function (e, data) {
      data = data.map(function (_ref) {
        var value = _ref.value,
            text = _ref.text,
            helpMsg = _ref.helpMsg;

        return {
          value: value,
          'label': text,
          'help': helpMsg
        };
      });
      _this.props.onChange(data);
    };

    return _this;
  }

  (0, _createClass3.default)(_default, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          _props$items = _props.items,
          items = _props$items === undefined ? [] : _props$items,
          _props$checked = _props.checked,
          checked = _props$checked === undefined ? [] : _props$checked;


      var checkboxItems = items.map(function (_ref2) {
        var label = _ref2.label,
            value = _ref2.value,
            help = _ref2.help;

        return {
          'value': value,
          'bsStyle': true,
          'isChecked': checked.includes(value) ? true : false,
          'text': label,
          'helpMsg': help
        };
      });

      return _react2.default.createElement(
        'div',
        { className: 'pg-props-common-checkbox-list' },
        _react2.default.createElement(_basedCheckboxList2.default, { checkboxItems: checkboxItems, onClick: this.onClick,
          hasRender: true })
      );
    }
  }]);
  return _default;
}(_react.Component);

exports.default = _default;
module.exports = exports['default'];