'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _dropdownList = require('@beisen/dropdown-list');

var _dropdownList2 = _interopRequireDefault(_dropdownList);

require('../../../../src/components/basis/dropdown-list/index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CustomDropdownList = function (_DropdownList) {
  (0, _inherits3.default)(CustomDropdownList, _DropdownList);

  function CustomDropdownList() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, CustomDropdownList);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = CustomDropdownList.__proto__ || (0, _getPrototypeOf2.default)(CustomDropdownList)).call.apply(_ref, [this].concat(args))), _this), _this.onClose = function (event) {

      if (_this._thisCmpIsUnMounted) {
        _this.CommonMount.unmountBox();
        _this.setState({ 'keepActive': false });
        document.removeEventListener('click', _this.onClose);
        _this.props.onClose && _this.props.onClose('close');
        return;
      }

      var selfDom = (0, _reactDom.findDOMNode)(_this);
      var area = document.getElementById("DropdownList_ul");

      if (area && !area.contains(event.target) && !selfDom.contains(event.target)) {
        if (event.target.className.indexOf('sys-icon-close') > -1 || event.target.className.indexOf('u-icon') > -1) {
          return;
        };
        _this.CommonMount.unmountBox();

        _this.setState({ keepActive: false });
        document.removeEventListener('click', _this.onClose);
        _this.props.onClose && _this.props.onClose("close");
      }

      if (event.target.className == "btn btn_default btn_sm") {
        _this.setState({ keepActive: false });
      }
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(CustomDropdownList, [{
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this._thisCmpIsUnMounted = true;
    }
  }]);
  return CustomDropdownList;
}(_dropdownList2.default);

var _default = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default() {
    var _ref2;

    var _temp2, _this2, _ret2;

    (0, _classCallCheck3.default)(this, _default);

    for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      args[_key2] = arguments[_key2];
    }

    return _ret2 = (_temp2 = (_this2 = (0, _possibleConstructorReturn3.default)(this, (_ref2 = _default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call.apply(_ref2, [this].concat(args))), _this2), _this2.onChange = function (e, vdom, selected) {
      var selectedItems = [];

      if (Object.prototype.toString.call(selected) === '[object Array]') {
        selectedItems = selected;
      } else if ((typeof selected === 'undefined' ? 'undefined' : (0, _typeof3.default)(selected)) === 'object') {
        selectedItems = [selected];
      }

      selectedItems = selectedItems.map(function (_ref3) {
        var text = _ref3.text,
            restData = (0, _objectWithoutProperties3.default)(_ref3, ['text']);

        return (0, _extends3.default)({ 'label': text }, restData);
      });

      _this2.props.onChange(selectedItems);
    }, _temp2), (0, _possibleConstructorReturn3.default)(_this2, _ret2);
  }

  (0, _createClass3.default)(_default, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          _props$items = _props.items,
          items = _props$items === undefined ? [] : _props$items,
          _props$selected = _props.selected,
          selected = _props$selected === undefined ? [] : _props$selected,
          _props$required = _props.required,
          required = _props$required === undefined ? false : _props$required,
          _props$multiple = _props.multiple,
          multiple = _props$multiple === undefined ? false : _props$multiple,
          _props$disabled = _props.disabled,
          disabled = _props$disabled === undefined ? false : _props$disabled;

      var selectedItems = [];

      /* 转换Dropdown-list组件标准数据结构 */
      items = items.map(function (item) {
        var label = item.label,
            value = item.value,
            restData = (0, _objectWithoutProperties3.default)(item, ['label', 'value']);

        var sItemData = (0, _extends3.default)({
          value: value,
          'text': label,
          'isActive': selected.includes(value) ? true : false,
          'isChecked': selected.includes(value) ? true : false
        }, restData);
        if (selected.includes(value)) selectedItems.push(sItemData);
        return sItemData;
      });

      /* 获取显示的内容 */
      var _selectedItems$ = selectedItems[0],
          firstSelectedItem = _selectedItems$ === undefined ? {} : _selectedItems$;

      var defaultValue = firstSelectedItem['text'] || '';

      /* 必填验证 */
      var errorStatus = required && !selected.length ? true : false;

      return _react2.default.createElement(
        'div',
        { className: 'pg-common-cmp-dropdown-list' },
        _react2.default.createElement(CustomDropdownList, {
          title: '',
          errorStatus: errorStatus,
          errorMsg: '必选',
          placeholder: '请选择',
          defaultValue: defaultValue,
          openListView: false,
          multiple: multiple,
          children: items,
          required: false,
          disabled: disabled,
          onChange: this.onChange
        })
      );
    }
  }]);
  return _default;
}(_react.Component);

exports.default = _default;
module.exports = exports['default'];