'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _jsonEditor = require('../json-editor');

var _jsonEditor2 = _interopRequireDefault(_jsonEditor);

var _commonPop = require('@beisen/common-pop');

var _commonPop2 = _interopRequireDefault(_commonPop);

require('../../../../src/components/basis/json-pop-editor/index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default(props) {
    (0, _classCallCheck3.default)(this, _default);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call(this, props));

    _this.onEditorChangeHandler = function (value) {
      _this.jsonEditorValue = value;
    };

    _this.popViewSave = function () {
      _this.props.onChange(_this.jsonEditorValue);
      _this.setState({ 'showEditor': false });
    };

    _this.popViewClose = function () {
      _this.setState({ 'showEditor': false });
    };

    _this.onEditClickHandler = function () {
      _this.setState({ 'showEditor': true });
    };

    _this.state = {
      'showEditor': false
    };
    _this.jsonEditorValue;
    return _this;
  }

  (0, _createClass3.default)(_default, [{
    key: 'render',
    value: function render() {
      var _props$value = this.props.value,
          value = _props$value === undefined ? {} : _props$value;
      var showEditor = this.state.showEditor;


      var jsonEditor = _react2.default.createElement(_jsonEditor2.default, { value: value, onChange: this.onEditorChangeHandler });

      return _react2.default.createElement(
        'div',
        { className: 'pg-common-cmp-json-editor' },
        _react2.default.createElement(
          'div',
          { className: 'pg-common-cmp-json-readonly-container' },
          _react2.default.createElement(
            'pre',
            { className: 'pg-common-cmp-json-readonly' },
            (0, _stringify2.default)(value)
          )
        ),
        _react2.default.createElement(
          'div',
          { className: 'pg-common-cmp-json-editor-edit-container' },
          _react2.default.createElement('span', { className: 'ui-icon sys-icon-IM-bianji pg-common-cmp-json-editor-edit', onClick: this.onEditClickHandler })
        ),
        showEditor ? _react2.default.createElement(_commonPop2.default, {
          title: '编辑',
          dataType: 'component',
          hasFooter: true,
          hasHeader: true,
          showMask: true,
          data: jsonEditor,
          submitPop: this.popViewSave,
          closePop: this.popViewClose }) : null
      );
    }
  }]);
  return _default;
}(_react.Component);

exports.default = _default;
module.exports = exports['default'];