"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require("babel-runtime/core-js/object/get-prototype-of");

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _commonPop = require("@beisen/common-pop");

var _commonPop2 = _interopRequireDefault(_commonPop);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
* 重写CommponPop Save 函数，实现切换from表单, 和功能按钮
*/
var CustomPopView = function (_CommonPop) {
  (0, _inherits3.default)(CustomPopView, _CommonPop);

  function CustomPopView() {
    (0, _classCallCheck3.default)(this, CustomPopView);
    return (0, _possibleConstructorReturn3.default)(this, (CustomPopView.__proto__ || (0, _getPrototypeOf2.default)(CustomPopView)).apply(this, arguments));
  }

  (0, _createClass3.default)(CustomPopView, [{
    key: "handelEnter",

    //确定
    value: function handelEnter(e) {
      var self = this;
      var _props = this.props,
          removeCommonPop = _props.removeCommonPop,
          submitPop = _props.submitPop,
          animation = _props.animation,
          subBtnDisabled = _props.subBtnDisabled;

      if (subBtnDisabled) return;
      setTimeout(function () {
        removeCommonPop && removeCommonPop();
        submitPop({
          target: e,
          value: self.state.getValue,
          status: "submit"
        });
      }, 300);
    }

    //取消 关闭

  }, {
    key: "handelCancel",
    value: function handelCancel(e) {
      var self = this;
      var _props2 = this.props,
          removeCommonPop = _props2.removeCommonPop,
          closePop = _props2.closePop,
          animation = _props2.animation,
          cloBtnDisabled = _props2.cloBtnDisabled;

      if (cloBtnDisabled) return;
      setTimeout(function () {
        removeCommonPop && removeCommonPop();
        closePop({
          target: e,
          "status": "close"
        });
      }, 300);
    }
  }, {
    key: "onClosePopUp",
    value: function onClosePopUp(e) {
      this.handelCancel(e);
    }
  }, {
    key: "render",
    value: function render() {
      var Header = void 0,
          Footer = void 0,
          content = void 0,
          Mask = void 0,
          self = this;
      var width = this.getWidth();
      var marginLeft = Math.ceil(width) / 2 * -1;
      var _props3 = this.props,
          hasHeader = _props3.hasHeader,
          hasFooter = _props3.hasFooter,
          hasRender = _props3.hasRender,
          title = _props3.title,
          dataType = _props3.dataType,
          data = _props3.data,
          style = _props3.style,
          hidden = _props3.hidden,
          animation = _props3.animation,
          showMask = _props3.showMask,
          _props3$subBtnShow = _props3.subBtnShow,
          subBtnShow = _props3$subBtnShow === undefined ? true : _props3$subBtnShow,
          subBtnText = _props3.subBtnText,
          _props3$cloBtnShow = _props3.cloBtnShow,
          cloBtnShow = _props3$cloBtnShow === undefined ? true : _props3$cloBtnShow,
          cloBtnText = _props3.cloBtnText,
          contentOffsetTop = _props3.contentOffsetTop;
      var customStyle = this.state.customStyle;

      var offsetTop = contentOffsetTop ? contentOffsetTop : this.state;
      var sty = { "top": offsetTop, width: width + "px", height: "170px", "marginTop": "-140px", "marginLeft": marginLeft + "px" };
      if (hasHeader) {
        Header = _react2.default.createElement(
          "div",
          { className: "modal-pop__header" },
          _react2.default.createElement(
            "div",
            { className: "modal-pop__title" },
            title
          )
        );
      }
      if (hasFooter) {
        Footer = _react2.default.createElement(
          "div",
          { ref: "popFooter", className: "btn-group modal-pop__footer" },
          this.state.footerContent,
          cloBtnShow ? _react2.default.createElement(
            "button",
            { style: { "marginRight": subBtnShow ? "" : "20px" }, className: "btn btn_weaken", onClick: this.onClosePopUp },
            cloBtnText
          ) : "",
          subBtnShow ? _react2.default.createElement(
            "button",
            { className: "btn btn_default", onClick: this.handelEnter },
            subBtnText
          ) : ""
        );
      }

      if (dataType == "component" && this.props.PopComponent) {
        content = hasRender ? self.props.PopComponent : _react2.default.createElement(self.props.PopComponent, (0, _extends3.default)({ data: data }, data));
      } else {
        content = data;
      }

      if (showMask) {
        var pop = document.getElementsByClassName("modal-pop");
        var color = void 0;
        color = pop && pop.length > 1 ? "transparent" : "#03101A";
        Mask = _react2.default.createElement("div", { className: "modal-pop__mask", style: { "backgroundColor": color, "display": "none" } });
      }

      if (hidden) {
        return _react2.default.createElement(
          "div",
          null,
          " "
        );
      } else {
        return _react2.default.createElement(
          "div",
          { className: "modal-pop", style: customStyle },
          _react2.default.createElement(
            "div",
            { ref: "PopWindow", className: "modal-pop__container modal-pop_is-open " + (animation || animation == undefined ? 'a-modal-pop' : ''), style: sty },
            Header,
            _react2.default.createElement(
              "div",
              { className: "modal-pop__content", ref: "popContent", onScroll: this.handleWheel.bind(this) },
              content
            ),
            Footer
          ),
          Mask
        );
      }
    }
  }]);
  return CustomPopView;
}(_commonPop2.default);

exports.default = CustomPopView;
module.exports = exports["default"];