'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _slicedToArray2 = require('babel-runtime/helpers/slicedToArray');

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

require('../../../../../src/components/elements/basis/tab/index.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TabContainer = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(TabContainer, _Component);

  function TabContainer(props) {
    (0, _classCallCheck3.default)(this, TabContainer);

    /* 使用defaultTab初始化第一次加载页面时的高亮tab */
    var _this = (0, _possibleConstructorReturn3.default)(this, (TabContainer.__proto__ || (0, _getPrototypeOf2.default)(TabContainer)).call(this, props));

    _this.handleSwitchTab = function (currentTab) {
      return function (e) {
        _this.setState({ currentTab: currentTab });
      };
    };

    var _ref = _this.props.data || {},
        _ref$tabConfig = _ref.tabConfig,
        tabConfig = _ref$tabConfig === undefined ? {} : _ref$tabConfig;

    var _tabConfig$defaultTab = tabConfig.defaultTab,
        defaultTab = _tabConfig$defaultTab === undefined ? '' : _tabConfig$defaultTab,
        isActiveFirstItem = tabConfig.isActiveFirstItem,
        _tabConfig$tabItemLis = tabConfig.tabItemList,
        tabItemList = _tabConfig$tabItemLis === undefined ? [] : _tabConfig$tabItemLis;


    if (isActiveFirstItem && tabItemList.length) {
      defaultTab = tabItemList[0].value || '';
    }

    _this.state = { 'currentTab': defaultTab };
    return _this;
  }

  (0, _createClass3.default)(TabContainer, [{
    key: 'getCurrentTabBySelectedCmp',
    value: function getCurrentTabBySelectedCmp() {
      var _props = this.props,
          _props$_subComponents = _props['_subComponents'],
          subComponents = _props$_subComponents === undefined ? [] : _props$_subComponents,
          selectedComponentId = _props['_selectedComponent'];

      if (!selectedComponentId || !subComponents || !subComponents.length) return null;

      var _iteratorNormalCompletion = true;
      var _didIteratorError = false;
      var _iteratorError = undefined;

      try {
        for (var _iterator = (0, _getIterator3.default)(subComponents), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
          var _ref3 = _step.value;
          var componentHolderKey = _ref3.componentHolderKey,
              id = _ref3.id;

          if (selectedComponentId == id) {
            return componentHolderKey;
          }
        }
      } catch (err) {
        _didIteratorError = true;
        _iteratorError = err;
      } finally {
        try {
          if (!_iteratorNormalCompletion && _iterator.return) {
            _iterator.return();
          }
        } finally {
          if (_didIteratorError) {
            throw _iteratorError;
          }
        }
      }

      return null;
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props2 = this.props,
          connectPlaceholder = _props2.connectPlaceholder,
          _props2$data = _props2.data,
          data = _props2$data === undefined ? {} : _props2$data;
      var _data$tabConfig = data.tabConfig,
          tabConfig = _data$tabConfig === undefined ? {} : _data$tabConfig;
      var _tabConfig$tabItemLis2 = tabConfig.tabItemList,
          tabItemList = _tabConfig$tabItemLis2 === undefined ? [] : _tabConfig$tabItemLis2,
          defaultTab = tabConfig.defaultTab;

      var _tabItemList = (0, _slicedToArray3.default)(tabItemList, 1),
          _tabItemList$ = _tabItemList[0],
          firstItem = _tabItemList$ === undefined ? {} : _tabItemList$;

      var _firstItem$value = firstItem['value'],
          fistItemValue = _firstItem$value === undefined ? '' : _firstItem$value;


      var currentTab = this.state.currentTab || fistItemValue;

      /* 通过 被选中的 组件 激活，所在 item 并 高亮 */
      var selectedCmpTabName = this.getCurrentTabBySelectedCmp();
      if (selectedCmpTabName && selectedCmpTabName !== currentTab) {
        currentTab = selectedCmpTabName;
      }

      return React.createElement(
        'div',
        { className: 'component-holder' },
        React.createElement(
          'div',
          { className: 'tab' },
          React.createElement(
            'ul',
            { className: 'tab-title list_horizontal list_wrap tab__list' },
            tabItemList.map(function (_ref4, index) {
              var label = _ref4.label,
                  value = _ref4.value;

              var active = currentTab === value ? true : false;
              var className = active ? ' tab__item_is-active' : '';
              return React.createElement(
                'li',
                { key: index,
                  onClick: _this2.handleSwitchTab(value),
                  className: 'tab__item s-tab ' + className },
                label
              );
            })
          )
        ),
        connectPlaceholder(currentTab)(React.createElement('div', null))
      );
    }
  }]);
  return TabContainer;
}(_react.Component), _class.componentHolder = true, _temp);
exports.default = TabContainer;
module.exports = exports['default'];