'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _umRichEditor = require('@beisen/um-rich-editor');

var _umRichEditor2 = _interopRequireDefault(_umRichEditor);

require('../../../../../src/components/properties/basis/rich-editor-text/index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RichEditor = function (_Component) {
  (0, _inherits3.default)(RichEditor, _Component);

  function RichEditor(props) {
    (0, _classCallCheck3.default)(this, RichEditor);

    var _this = (0, _possibleConstructorReturn3.default)(this, (RichEditor.__proto__ || (0, _getPrototypeOf2.default)(RichEditor)).call(this, props));

    _this.onEditorChange = function (value, haveContent) {
      _this.props.update(value);
    };

    _this.richId = 'pg-props-rich-editor' + new Date().getTime();
    return _this;
  }

  (0, _createClass3.default)(RichEditor, [{
    key: 'render',
    value: function render() {
      var value = this.props.data || '';

      var _props$attributes$pro = this.props.attributes.props.validateStatus,
          validateStatus = _props$attributes$pro === undefined ? {} : _props$attributes$pro;
      var errMsg = validateStatus['message'],
          valid = validateStatus.valid;


      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_umRichEditor2.default, {
          id: this.richId,
          value: value,
          name: '',
          errorStatus: false,
          errorMsg: '',
          helpMsg: '',
          sideTip: false,
          hiddenTip: false,
          editStatus: true,
          onChange: this.onEditorChange
        }),
        !valid ? _react2.default.createElement(
          'span',
          { className: 'pg-prop-error-text' },
          errMsg
        ) : null
      );
    }
  }]);
  return RichEditor;
}(_react.Component);

exports.default = RichEditor;
module.exports = exports['default'];