'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _slicedToArray2 = require('babel-runtime/helpers/slicedToArray');

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _collectionPicker = require('../../../../helpers/collection-picker');

var _dropdownList = require('../../../basis/dropdown-list');

var _dropdownList2 = _interopRequireDefault(_dropdownList);

require('../../../../../src/components/properties/basis/select/index.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Select = function (_Component) {
  (0, _inherits3.default)(Select, _Component);

  function Select() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, Select);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = Select.__proto__ || (0, _getPrototypeOf2.default)(Select)).call.apply(_ref, [this].concat(args))), _this), _this.onChange = function (selectedItems) {
      var _selectedItems = (0, _slicedToArray3.default)(selectedItems, 1),
          _selectedItems$ = _selectedItems[0],
          firstItem = _selectedItems$ === undefined ? {} : _selectedItems$;

      var value = firstItem.value;

      _this.props.update(value);
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(Select, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var defaultValueNeedUpdate = this.props.defaultValueNeedUpdate;


      var currentSelected = this.getCurrentSelectedItem();

      if (defaultValueNeedUpdate) this.props.updateSilent(currentSelected);
    }
  }, {
    key: 'getCurrentSelectedItem',


    /*
    * 通过 value, selected, defaultSelectedIndex 确定当前选中的item
    */
    value: function getCurrentSelectedItem() {
      var _props = this.props,
          value = _props['data'],
          _props$attributes$pro = _props['attributes']['props'],
          _props$attributes$pro2 = _props$attributes$pro.items,
          items = _props$attributes$pro2 === undefined ? [] : _props$attributes$pro2,
          selected = _props$attributes$pro.selected,
          defaultSelectedIndex = _props$attributes$pro.defaultSelectedIndex;


      var currentSelected = undefined;

      if (!value) {
        if (!selected) {
          if (defaultSelectedIndex >= 0) {
            var defaultSelectedItem = items[defaultSelectedIndex];
            var firstItemValue = defaultSelectedItem['value'];

            currentSelected = firstItemValue;
          }
        } else {
          currentSelected = selected;
        }
      } else {
        currentSelected = value;
      }

      return currentSelected;
    }
  }, {
    key: 'render',
    value: function render() {
      var _props$attributes$pro3 = this.props['attributes']['props'],
          _props$attributes$pro4 = _props$attributes$pro3.items,
          items = _props$attributes$pro4 === undefined ? [] : _props$attributes$pro4,
          _props$attributes$pro5 = _props$attributes$pro3.disabled,
          disabled = _props$attributes$pro5 === undefined ? false : _props$attributes$pro5,
          _props$attributes$pro6 = _props$attributes$pro3.validateStatus,
          validateStatus = _props$attributes$pro6 === undefined ? {} : _props$attributes$pro6;
      var errMsg = validateStatus['message'],
          valid = validateStatus.valid;


      var currentSelected = this.getCurrentSelectedItem();
      currentSelected = currentSelected ? [currentSelected] : [];

      return _react2.default.createElement(
        'div',
        { className: 'pg-prop-select' },
        _react2.default.createElement(_dropdownList2.default, { items: items, selected: currentSelected, onChange: this.onChange, disabled: disabled }),
        !valid ? _react2.default.createElement(
          'span',
          { className: 'pg-prop-error-text' },
          errMsg
        ) : null
      );
    }
  }]);
  return Select;
}(_react.Component);

exports.default = Select;
module.exports = exports['default'];