'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _commonPop = require('@beisen/common-pop');

var _commonPop2 = _interopRequireDefault(_commonPop);

var _uuid = require('uuid');

require('../../../../../../src/components/properties/basis/tab-item-creator/TabItemEditor/index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function (_Component) {
  (0, _inherits3.default)(_default, _Component);

  function _default(props) {
    (0, _classCallCheck3.default)(this, _default);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_default.__proto__ || (0, _getPrototypeOf2.default)(_default)).call(this, props));

    _this.inputOnChangeClick = function (e, inputKey) {
      _this.setState((0, _defineProperty3.default)({}, inputKey, e.target.value));
      setTimeout(function () {
        _this.validate();
      }, 0);
    };

    var _this$props = _this.props,
        label = _this$props.label,
        code = _this$props.code,
        value = _this$props.value;

    if (!value) value = (0, _uuid.v1)();

    _this.state = {
      label: label,
      code: code,
      value: value,
      'labelNone': false,
      'codeNone': false,
      'codeRepeat': false,
      'codeFormat': false,
      'subBtnDisabled': true
    };
    return _this;
  }

  (0, _createClass3.default)(_default, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.validate();
    }
  }, {
    key: 'onSave',
    value: function onSave() {
      if (!this.validate()) return;
      var _state = this.state,
          code = _state.code,
          label = _state.label,
          value = _state.value;

      this.props.onSaveClickHandler({
        code: code, label: label, value: value
      });
    }
  }, {
    key: 'onCancel',
    value: function onCancel() {
      this.props.onCancelClickHandler();
    }
  }, {
    key: 'validate',
    value: function validate() {
      var res = true;
      var _state2 = this.state,
          _state2$code = _state2.code,
          code = _state2$code === undefined ? '' : _state2$code,
          _state2$label = _state2.label,
          label = _state2$label === undefined ? '' : _state2$label,
          _state2$value = _state2.value,
          value = _state2$value === undefined ? '' : _state2$value,
          codeNone = _state2.codeNone,
          labelNone = _state2.labelNone,
          codeRepeat = _state2.codeRepeat,
          codeFormat = _state2.codeFormat;


      codeNone = false;
      labelNone = false;
      codeRepeat = false;
      codeFormat = false;

      if (!code) {
        codeNone = true;
        res = false;
      }
      if (!label) {
        labelNone = true;
        res = false;
      }
      if (!code.match(/^[a-zA-Z0-9]+$/)) {
        codeFormat = true;
        res = false;
      }
      if (this.props.checkCodeRepeat(code, value)) {
        codeRepeat = true;
        res = false;
      }

      this.setState({ codeNone: codeNone, labelNone: labelNone, codeRepeat: codeRepeat, codeFormat: codeFormat, subBtnDisabled: !res });
      return res;
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _state3 = this.state,
          label = _state3.label,
          code = _state3.code,
          codeNone = _state3.codeNone,
          labelNone = _state3.labelNone,
          codeRepeat = _state3.codeRepeat,
          codeFormat = _state3.codeFormat,
          subBtnDisabled = _state3.subBtnDisabled;


      var editorForm = React.createElement(
        'div',
        { className: 'ptic-tab-editor' },
        React.createElement(
          'div',
          { className: 'form-item' },
          React.createElement(
            'div',
            { className: 'form-item__title' },
            React.createElement(
              'label',
              { 'for': '', className: 'form-item__text ptic-require ptic-label' },
              '\u540D\u79F0'
            )
          ),
          React.createElement(
            'div',
            { className: labelNone ? 'form-item__control form-item__control_is-active form-item__control_has-info form-item__control_has-error' : 'form-item__control' },
            React.createElement('input', { type: 'text', className: 'u-input', placeholder: '\u540D\u79F0', value: label, onChange: function onChange(e) {
                return _this2.inputOnChangeClick(e, 'label');
              } }),
            React.createElement('span', { className: 'form-item__bottom-line' }),
            labelNone ? React.createElement(
              'span',
              { className: 'form-item__explain' },
              '\u540D\u79F0\u4E0D\u53EF\u4E3A\u7A7A'
            ) : React.createElement('span', { className: 'form-item__right-icon' })
          )
        ),
        React.createElement(
          'div',
          { className: 'form-item' },
          React.createElement(
            'div',
            { className: 'form-item__title' },
            React.createElement(
              'label',
              { 'for': '', className: 'form-item__text ptic-require ptic-label' },
              '\u7F16\u7801'
            )
          ),
          React.createElement(
            'div',
            { className: codeNone || codeRepeat || codeFormat ? 'form-item__control form-item__control_is-active form-item__control_has-info form-item__control_has-error' : 'form-item__control' },
            React.createElement('input', { type: 'text', className: 'u-input', placeholder: '\u7F16\u7801', value: code, onChange: function onChange(e) {
                return _this2.inputOnChangeClick(e, 'code');
              } }),
            React.createElement('span', { className: 'form-item__bottom-line' }),
            codeNone || codeRepeat || codeFormat ? React.createElement(
              'span',
              { className: 'form-item__explain' },
              codeRepeat ? '编码重复' : codeNone ? '编码不可为空' : '只能输入字母和数字'
            ) : React.createElement('span', { className: 'form-item__right-icon' })
          )
        )
      );

      return React.createElement(_commonPop2.default, {
        title: '选项卡',
        dataType: 'component',
        hasFooter: true,
        hasHeader: true,
        showMask: true,
        data: editorForm,
        submitPop: this.onSave.bind(this),
        closePop: this.onCancel.bind(this),
        subBtnDisabled: subBtnDisabled });
    }
  }]);
  return _default;
}(_react.Component);

exports.default = _default;
module.exports = exports['default'];