'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _validation = require('./validation');

var _validation2 = _interopRequireDefault(_validation);

var _filterParser = require('../../../helpers/filterParser');

var _filterParser2 = _interopRequireDefault(_filterParser);

require('../../../../src/components/properties/validate-wrapper/index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (Target) {
  return function (_Component) {
    (0, _inherits3.default)(_class, _Component);

    function _class(props) {
      (0, _classCallCheck3.default)(this, _class);

      var _this = (0, _possibleConstructorReturn3.default)(this, (_class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call(this, props));

      _this.state = {};
      return _this;
    }

    (0, _createClass3.default)(_class, [{
      key: 'verify',
      value: function verify() {
        var verifiedList = [];
        var data = this.props.data;
        var _props$attributes$pro = this.props.attributes['props'].validation,
            validation = _props$attributes$pro === undefined ? [] : _props$attributes$pro;

        /* 执行配置的验证规则 */

        var _iteratorNormalCompletion = true;
        var _didIteratorError = false;
        var _iteratorError = undefined;

        try {
          for (var _iterator = (0, _getIterator3.default)(validation), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
            var _ref2 = _step.value;
            var type = _ref2.type,
                message = _ref2.message,
                _ref2$params = _ref2.params,
                params = _ref2$params === undefined ? {} : _ref2$params;

            if (_validation2.default[type]) {
              var valid = _validation2.default[type](data, params, { filterParser: _filterParser2.default, filterObjValuesParser: _filterParser.parseObjValues });
              verifiedList.push({ type: type, message: message, params: params, valid: valid });
            } else {
              throw new Error('\u672A\u627E\u5230\u6307\u5B9A\u7684\u9A8C\u8BC1\u89C4\u5219: ' + type);
            }
          }
        } catch (err) {
          _didIteratorError = true;
          _iteratorError = err;
        } finally {
          try {
            if (!_iteratorNormalCompletion && _iterator.return) {
              _iterator.return();
            }
          } finally {
            if (_didIteratorError) {
              throw _iteratorError;
            }
          }
        }

        return verifiedList;
      }
    }, {
      key: 'render',
      value: function render() {
        var validation = this.verify();
        var _props = this.props,
            _props$attributes = _props.attributes,
            attributes = _props$attributes === undefined ? {} : _props$attributes,
            restProps = (0, _objectWithoutProperties3.default)(_props, ['attributes']);


        var validateStatus = { 'valid': true };
        var _iteratorNormalCompletion2 = true;
        var _didIteratorError2 = false;
        var _iteratorError2 = undefined;

        try {
          for (var _iterator2 = (0, _getIterator3.default)(validation), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true) {
            var _ref5 = _step2.value;
            var type = _ref5.type,
                message = _ref5.message,
                params = _ref5.params,
                valid = _ref5.valid;

            if (!valid) {
              validateStatus = { type: type, message: message, params: params, valid: valid };
              break;
            }
          }
        } catch (err) {
          _didIteratorError2 = true;
          _iteratorError2 = err;
        } finally {
          try {
            if (!_iteratorNormalCompletion2 && _iterator2.return) {
              _iterator2.return();
            }
          } finally {
            if (_didIteratorError2) {
              throw _iteratorError2;
            }
          }
        }

        var validationMap = {};
        validation.forEach(function (_ref4) {
          var type = _ref4.type,
              restData = (0, _objectWithoutProperties3.default)(_ref4, ['type']);
          validationMap[type] = (0, _extends3.default)({}, restData);
        });
        (0, _extends3.default)(attributes.props, { validateStatus: validateStatus, 'validation': validationMap });

        return _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(Target, (0, _extends3.default)({}, restProps, { attributes: attributes }))
        );
      }
    }]);
    return _class;
  }(_react.Component);
};

module.exports = exports['default'];