'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (state) {
  var value = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
  var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var _params$regExp = params.regExp,
      regExp = _params$regExp === undefined ? '' : _params$regExp,
      _params$flags = params.flags,
      flags = _params$flags === undefined ? '' : _params$flags;

  return !!value.match(new RegExp(regExp, flags));
};

module.exports = exports['default'];