'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (state) {
  var data = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var _ref = arguments[3];
  var filterParser = _ref.filterParser;
  var _params$enable = params.enable,
      enable = _params$enable === undefined ? '' : _params$enable;

  var isEnable = filterParser(enable, { 'propData': data });
  if (!isEnable) return true;
  return !!data.relatedExpress;
};

module.exports = exports['default'];