'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _parseJson = require('parse-json');

var _parseJson2 = _interopRequireDefault(_parseJson);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (value) {
  var type = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';

  if (type == 'Boolean') {
    return !!value;
  } else if (type == 'JSON') {
    return (0, _parseJson2.default)(value);
  } else if (type == 'String') {
    return (0, _stringify2.default)(value);
  }
};

module.exports = exports['default'];