"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require("babel-runtime/core-js/object/keys");

var _keys2 = _interopRequireDefault(_keys);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// filter label=testName value=111
exports.default = function () {
  var items = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var condition = arguments[1];

  return items.filter(function (item) {
    var res = true;
    (0, _keys2.default)(condition).forEach(function (conKey) {
      if (item[conKey] !== condition[conKey]) {
        res = false;
      }
    });
    return res;
  });
};

module.exports = exports["default"];