'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _formatters = require('../../../formatters');

var _formatters2 = _interopRequireDefault(_formatters);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (value) {
  var formatterName = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';

  if (!_formatters2.default[formatterName]) {
    throw new Error('\u672A\u627E\u5230\u5BF9\u5E94formatter: ' + formatterName);
  }
  return _formatters2.default[formatterName](value);
};

module.exports = exports['default'];