'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resolveFilter = undefined;

var _map = require('./map');

var _map2 = _interopRequireDefault(_map);

var _filter = require('./filter');

var _filter2 = _interopRequireDefault(_filter);

var _get = require('./get');

var _get2 = _interopRequireDefault(_get);

var _getAt = require('./getAt');

var _getAt2 = _interopRequireDefault(_getAt);

var _format = require('./format');

var _format2 = _interopRequireDefault(_format);

var _or = require('./or');

var _or2 = _interopRequireDefault(_or);

var _join = require('./join');

var _join2 = _interopRequireDefault(_join);

var _convert = require('./convert');

var _convert2 = _interopRequireDefault(_convert);

var _is = require('./is');

var _is2 = _interopRequireDefault(_is);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var filters = { map: _map2.default, filter: _filter2.default, get: _get2.default, getAt: _getAt2.default, format: _format2.default, or: _or2.default, join: _join2.default, convert: _convert2.default, is: _is2.default };

var resolveFilter = exports.resolveFilter = function resolveFilter(filterName) {
  var filter = filters[filterName];
  if (!filter) throw new Error('\u672A\u627E\u5230\u6307\u5B9Afilter: ' + filterName);
  return filter;
};