'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* 格式化属性组件元数据为pgb结构 */
exports.default = function (standardProps) {
  return standardProps.map(function (prop) {
    var type = prop.type,
        label = prop.label,
        name = prop.name,
        restData = (0, _objectWithoutProperties3.default)(prop, ['type', 'label', 'name']);

    return (0, _extends3.default)({
      'pType': type,
      label: label,
      'key': name
    }, restData);
  });
};

module.exports = exports['default'];