import React, {Component} from 'react'
import DropdownList from '../dropdown-list'

export default class extends Component {
  constructor (props) {
    super(props)
    let { required, selected } = this.props
    this.state = {
      'vaild': !required ? true : (!selected ? false : true)
    }
  }

  onChangeHandler = (selectedItem) => {
    let value = undefined
    if (selectedItem.length) {
      value = selectedItem[0].value
    }
    let { menuKey, required } = this.props
    if (required) {
      this.setState({ 'vaild': !!value })
    }
    this.props.onChange(menuKey, selectedItem)
  }

  render () {
    let { lable, options=[], menuKey, selected, required } = this.props
    let { vaild } = this.state

    selected = selected ? [selected] : []

    return <div className='single-menu pg-prop-select'>
      {
        lable ? <span className={ required ? 'menu-label menu-label-required' : 'menu-label' }>{ lable }</span> : null
      }
      <DropdownList items={ options } selected={ selected } onChange={ this.onChangeHandler } required={ required } />
    </div>
  }
}
