import React, {Component, PropTypes} from 'react'
import {render} from 'react-dom'
import ToolTip from "@beisen/tool-tip"

export default class CheckboxItem extends Component{

  onClickHandler = (e) => {
    this.props.onChange(!this.props.checked)
  }

  render () {
    const { checked } = this.props
    let bsStyle = true

    let checkedClassName = 'table-item-check table-item-check-go pc-sys-Checkbox-active-svg'
    let unCheckedClassName = 'table-item-check table-item-check-back pc-sys-Checkbox-nomal-svg'

    return (
      <div className="form-item checkboxlist">
        <div 
          className={ 'cklist-checkbox cklist-optional checkbox-horizontal' } >

          <label className={ checked ? checkedClassName : unCheckedClassName } 
            onClick={ this.onClickHandler }
            data-logtype = 'click'
            data-loglabel = 'CheckBoxList-Icon'
          ></label>
        </div>
      </div>
    )
  }
}
