import React, { Component } from 'react'
import moduleUnit from '../../../helpers/require'

export default Target => class extends Component {
  constructor (props) {
    super(props)
    this.state = {
      'shown': false
    }
  }

  componentDidMount () {
    moduleUnit.import('http://stnew03.beisen.com/ux/platform-page-builder/release/dist/extras/ace-json-editor/ace.js')
      .then(() => {
        this.setState({ 'shown': true })
      })
  }

  render () {
    let { shown } = this.state
    if (!shown) return <div></div>
    return <Target { ...this.props } />
  }
}
