import React, { Component } from 'react'
import PopLayer from "@beisen/pop-layer"
import '../../../components/basis/notification/index.css'

export default class extends Component {
  constructor (props) {
    super(props)
    this.state = {}
  }

  componentWillReceiveProps (nextProps) {
    if (this.props.show == false && nextProps.show == true) {
      setTimeout(() => {
        this.props.hideNotification()
      }, this.props.time)
    }
  }

  render () {
    let { message, show=false, noteType='error' } = this.props
    if (!show) return null

    let infoType = (noteType == 'error') ? '1' : '0'

    return <div className="pg-common-notification">
      <PopLayer
        popType={ '0' }
        infoType={ infoType }
        manualClose={ false }
        title={ message || '程序异常' }
        left={ 0 }
        top={ 0 }
      />
    </div>
  }
}
