import React, { Component } from 'react'
import '../../../../../src/components/elements/basis/table/index.scss'

export default class Table extends Component {
  render() {
    let { RelatedObject={} } = this.props.data
    let { functionList=[] } = RelatedObject

    let { MetaFunctionNames={} } = this.props.data
    let { items=[] } = MetaFunctionNames

    let functions = functionList.length ? functionList : items

    return <div>
      <div className="btn-group">
        {
          functions.map((item) => {
            return <input key={item.value} type="button" className="btn btn_default btn_sm" value={item.label}/>
          })
        }
      </div>
      <table className="table">
        <thead>
        <tr>
          <th className="table__checkbox">
          <span className="u-checkbox">
            <input type="checkbox" id="checkbox1" name="options1" />
            <label htmlFor="checkbox1" className="u-checkbox__label">
            <span className="u-checkbox__icon">
              <i className="u-icon pc-sys-Checkbox-nomal-svg"></i>
              <i className="u-icon pc-sys-Checkbox-active-svg"></i>
              <i className="u-icon pc-sys-Checkbox-active-disabled-svg"></i>
            </span>
            </label>
          </span>
            <span className="table__column-resize"></span>
          </th>
          <th>
          </th>
          <th>
            <div className="table__header">
            <span className="table__text">
            表头
            </span>
            <span className="table__arrow">
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-up"></i>
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-down"></i>
            </span>
            </div>
            <span className="table__column-resize"></span>
          </th>
          <th>
            <div className="table__header">
            <span className="table__text">
            表头
            </span>
            <span className="table__arrow">
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-up"></i>
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-down"></i>
            </span>
            </div>
            <span className="table__column-resize"></span>
          </th>
          <th>
            <div className="table__header">
            <span className="table__text">
            表头
            </span>
            <span className="table__arrow">
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-up"></i>
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-down"></i>
            </span>
            </div>
          </th>
          <th>
            <div className="table__header">
            <span className="table__text">
            职位
            </span>
            <span className="table__arrow">
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-up"></i>
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-down"></i>
            </span>
            </div>
          </th>
          <th>
            <div className="table__header">
            <span className="table__text">
            表头
            </span>
            <span className="table__arrow">
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-up"></i>
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-down"></i>
            </span>
            </div>
            <span className="table__column-resize"></span>
          </th>
          <th>
            <div className="table__header table__header_is-data">
            <span className="table__text">
            占比
            </span>
            <span className="table__arrow">
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-up"></i>
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-down"></i>
            </span>
            </div>
            <span className="table__column-resize"></span>
          </th>
          <th>
            <div className="table__header table__header_is-data">
            <span className="table__text">
            价格
            </span>
            <span className="table__arrow">
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-up"></i>
            <i className="u-icon pc-sys-sequencedown-nomal-svg table__icon-down"></i>
            </span>
            </div>
            <span className="table__column-resize"></span>
          </th>
          <th>
          </th>
        </tr>
        </thead>
        <tbody>
        <tr className="table__tr_selected">
          <td className="table__checkbox">
          <span className="u-checkbox">
            <input type="checkbox" id="checkbox2" name="options2"  defaultChecked/>
            <label htmlFor="checkbox2" className="u-checkbox__label">
            <span className="u-checkbox__icon">
              <i className="u-icon pc-sys-Checkbox-nomal-svg"></i>
              <i className="u-icon pc-sys-Checkbox-active-svg"></i>
              <i className="u-icon pc-sys-Checkbox-active-disabled-svg"></i>
            </span>
            </label>
          </span>
          </td>
          <td>
            <i className="u-icon pc-sys-Forward-nomal-svg"></i>
          </td>
          <td>
            <span className="table__text">John Brown</span>
          </td>
          <td>
            <span className="table__text">禁用</span>
          </td>
          <td>
            <span className="table__text">禁用</span>
          </td>
          <td>
            <span className="table__empty"></span>
          </td>
          <td>
            <span className="table__text">禁用</span>
          </td>
          <td className="table_has-data">
            <span className="table__text">10.0%</span>
          </td>
          <td className="table_has-data">
            <span className="table__text">￥0.9</span>
          </td>
          <td className="table_has-btn">
            <button className="btn btn_weaken btn_sm btn_has-icon">
              <span className="btn__text">操作</span>
              <i className="u-icon pc-sys-dropdownmin-nomal-svg"></i>
            </button>
          </td>
        </tr>
        <tr >
          <td className="table__checkbox">
          <span className="u-checkbox">
            <input type="checkbox" id="checkbox3" name="options3"/>
            <label htmlFor="checkbox3" className="u-checkbox__label">
            <span className="u-checkbox__icon">
              <i className="u-icon pc-sys-Checkbox-nomal-svg"></i>
              <i className="u-icon pc-sys-Checkbox-active-svg"></i>
              <i className="u-icon pc-sys-Checkbox-active-disabled-svg"></i>
            </span>
            </label>
          </span>
          </td>
          <td>
            <i className="u-icon pc-sys-Forward-nomal-svg"></i>
          </td>
          <td>
            <span className="table__text">链接</span>
          </td>
          <td>
            <span className="table__text">链接</span>
          </td>
          <td>
            <span className="table__text">链接</span>
          </td>
          <td>
            <span className="table__empty"></span>
          </td>
          <td>
            <span className="table__text">John Brown</span>
          </td>
          <td className="table_has-data">
            <span className="table__text">10.0%</span>
          </td>
          <td className="table_has-data">
            <span className="table__text">￥99</span>
          </td>
          <td className="table_has-btn" >
            <button className="btn btn_weaken btn_sm btn_has-icon">
              <span className="btn__text">操作</span>
              <i className="u-icon pc-sys-dropdownmin-nomal-svg"></i>
            </button>
          </td>
        </tr>
        <tr >
          <td className="table__checkbox">
          <span className="u-checkbox">
            <input type="checkbox" id="checkbox4" name="options4"/>
            <label htmlFor="checkbox4" className="u-checkbox__label">
            <span className="u-checkbox__icon">
              <i className="u-icon pc-sys-Checkbox-nomal-svg"></i>
              <i className="u-icon pc-sys-Checkbox-active-svg"></i>
              <i className="u-icon pc-sys-Checkbox-active-disabled-svg"></i>
            </span>
            </label>
          </span>
          </td>
          <td>
            <i className="u-icon pc-sys-Forward-nomal-svg"></i>
          </td>
          <td>
            <span className="table__text">John Brown</span>
          </td>
          <td>
            <span className="table__text">John Brown</span>
          </td>
          <td>
            <span className="table__text">John Brown</span>
          </td>
          <td>
            <span className="table__empty"></span>
          </td>
          <td>
            <span className="table__text">John Brown</span>
          </td>
          <td className="table_has-data">
            <span className="table__text">10.0%</span>
          </td>
          <td className="table_has-data">
            <span className="table__text">￥129</span>
          </td>
          <td className="table_has-btn">
            <button className="btn btn_weaken btn_sm btn_has-icon">
              <span className="btn__text">操作</span>
              <i className="u-icon pc-sys-dropdownmin-nomal-svg"></i>
            </button>
          </td>
        </tr>
        </tbody>
      </table>
      <div className="paging">
      
        <div className="paging__container">
          
          <div className="paging__next">
              <a href="javascript:void(0)" className="btn btn_weaken paging__btn paging__go">Go</a>
              <div className="paging__input">
                <input type="text" type="number" className="u-input" placeholder="跳转至" />
                <span className="paging__bottom-line"></span>
              </div>
            </div>

            <ul className="btn-group btn-group_is-stick" >
              <li className="btn btn_weaken paging__btn u-icon pc-sys-backward-nomal-svg"><a href="javascript:void(0)"></a></li>
              <li className="btn btn_weaken paging__btn paging__btn_is-active"><a href="javascript:void(0)">1</a></li>
              <li className="btn btn_weaken paging__btn"><a href="javascript:void(0)">2</a></li>
              <li className="btn btn_weaken paging__btn"><a href="javascript:void(0)">3</a></li>
              <li className="btn btn_weaken paging__btn"><a className="paging__ellipsis">...</a></li>
              <li className="btn btn_weaken paging__btn"><a href="javascript:void(0)">8</a></li>
              <li className="btn btn_weaken paging__btn"><a href="javascript:void(0)">9</a></li>
              <li className="btn btn_weaken paging__btn u-icon pc-sys-Forward-nomal-svg"><a href="javascript:void(0)"></a></li>
            </ul>
        </div>
        </div>
    </div>
  }
}
