import Default from './basis/default'
import Table from './basis/table'
import Form from './basis/form'
import Tab from './basis/tab'
import Iframe from './basis/iframe'

let elements = {
  Default,
  Table,
  Form,
  Tab,
  Iframe
}

export default elements

export const installElements = (insElements) => {
  Object.keys(insElements).forEach(name => {
  	elements[name] = insElements[name]
  })  
}
