/*
* 通过此类维护模块的保存于获取
* 已加载过的模块不在做二次请求，直接在内存中拿
*/
var installedModules = {}

export default {

  set: function (id, module) {
    installedModules[id] = module
  },

  get: function (id) {
    return installedModules[id]
  },

  has: function (id) {
    if (this.get(id)) return true
    return false
  }
}
