/* 格式化属性组件元数据为pgb结构 */
export default (standardProps) => {
  return standardProps.map(prop => {
    let { type, label, name, ...restData } = prop
    return {
      'pType': type,
      label,
      'key': name,
      ...restData,
    }
  })
}
